define({"2237":{y:0,u:"../Content/User Guides/erwin Help/%25JoinFKPK().html",l:-1,t:"%JoinFKPK()",i:0.000169830065789523,a:"Joins the foreign key (FK) of a child entity to the primary key (PK) of the parent entity in a relationship. Returns the code supporting the comparison of FK and PK values in a relationship. Syntax %JoinFKPK(\u003cchild table\u003e,\u003cparent table\u003e) Syntax Example %JoinFKPK(%Child,%Parent) Expansion ..."},"2238":{y:0,u:"../Content/User Guides/erwin Help/%25NotnullFK().html",l:-1,t:"%NotnullFK()",i:0.000169830065789523,a:"Compares the foreign key of a child table in a relationship to \u003cnull expression\u003e. This macro expands if and only if the relationship is non-identifying, nulls allowed.  Syntax %NotnullFK(\u003cchild table\u003e, \u003cnot null expression\u003e) Syntax Example %NotnullFK(%Child,\"is not null and\") Expansion ..."},"2239":{y:0,u:"../Content/User Guides/erwin Help/%25Parent.html",l:-1,t:"%Parent",i:0.000169830065789523,a:"%Parent Returns the name of the parent table in a relationship. Syntax %Parent Syntax Example %Parent Expansion MOVIE_COPY Usage Classified as a Relationship macro that you can use in RI override, Rel Override, %ForEachParentRel, %ForEachChildRel."},"2240":{y:0,u:"../Content/User Guides/erwin Help/%25ParentAtts().html",l:-1,t:"%ParentAtts()",i:0.000169830065789523,a:"Lists all the attributes of the parent entity in a relationship and performs the specified action on each. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ParentCols(). For more information on legacy ..."},"2241":{y:0,u:"../Content/User Guides/erwin Help/%25ParentCols().html",l:-1,t:"%ParentCols()",i:0.000169830065789523,a:"Lists all the columns of the parent table in a relationship and performs the specified action on each.  Syntax %ParentCols() Syntax Example %ParentCols() Expansion master_number, movie_copy_number, general_condition Full Syntax %ParentCols(\u003cseparator\u003e, \u003cfunction\u003e,\u003cprefix\u003e) Full Syntax Example ..."},"2242":{y:0,u:"../Content/User Guides/erwin Help/%25ParentNK().html",l:-1,t:"%ParentNK()",i:0.000169830065789523,a:"Lists the non-key attributes and datatypes of the parent entity in a relationship and performs the specified action on each. Syntax %ParentNK() Syntax Example %ParentNK() Expansion general_condition Full Syntax %ParentNK(\u003cseparator\u003e,\u003cfunction\u003e,\u003cprefix\u003e) Full Syntax Example %ParentNK(\" or ..."},"2243":{y:0,u:"../Content/User Guides/erwin Help/%25ParentNKDecl().html",l:-1,t:"%ParentNKDecl()",i:0.000169830065789523,a:"Lists the non-key columns of the parent table in the relationship followed by their datatypes. Syntax %ParentNKDecl(\u003cold prefix\u003e, \u003cnew prefix\u003e) Syntax Example %ParentNKDecl(,new) Expansion new_general_condition VARCHAR(10) Full Syntax %ParentNKDecl(\u003cold prefix\u003e, \u003cnew ..."},"2244":{y:0,u:"../Content/User Guides/erwin Help/%25ParentPK().html",l:-1,t:"%ParentPK()",i:0.000169830065789523,a:"Lists the primary key elements of the parent table in a relationship, and performs the specified action on each. Syntax %ParentPK() Syntax Example %ParentPK() Expansion master_number, movie_copy_number,… Full Syntax %ParentPK(\u003cseparator\u003e,\u003cfunction\u003e,\u003cprefix\u003e) Full Syntax Example %ParentPK(\" or ..."},"2245":{y:0,u:"../Content/User Guides/erwin Help/%25ParentPKDecl().html",l:-1,t:"%ParentPKDecl()",i:0.000169830065789523,a:"Lists the primary key elements of the parent table in the relationship followed by their datatypes. Syntax %ParentPKDecl(\u003cold prefix\u003e, \u003cnew prefix\u003e) Syntax Example %ParentPKDecl(,new) Expansion new_master_number INTEGER, new_movie_copy_number INTEGER Full Syntax %ParentPKDecl(\u003cold prefix\u003e, \u003cnew ..."},"2246":{y:0,u:"../Content/User Guides/erwin Help/%25ParentParamDecl().html",l:-1,t:"%ParentParamDecl()",i:0.000169830065789523,a:"Lists the columns of the parent table in the relationship followed by their datatypes. Syntax %ParentParamDecl(\u003cold prefix\u003e, \u003cnew prefix\u003e) Syntax Example %ParentParamDecl(,new) Expansion new_master_number INTEGER, new_movie_copy_number INTEGER, new_general_condition VARCHAR(10) Full Syntax ..."},"2247":{y:0,u:"../Content/User Guides/erwin Help/%25PhysRelName.html",l:-1,t:"%PhysRelName",i:0.000169830065789523,a:"%PhysRelName Returns the physical relationship name. Syntax %PhysRelName Syntax Example %PhysRelName Expansion is_rented_under Usage Classified as a Relationship macro that you can use in RI Override, Rel Override, %ForEachParentRel, %ForEachChildRel."},"2248":{y:0,u:"../Content/User Guides/erwin Help/%25RelId.html",l:-1,t:"%RelId",i:0.000169830065789523,a:"%RelId Returns the relationship ID number. Syntax %RelId Syntax Example %Relld Expansion 1 Usage Classified as a Relationship macro that you can use in RI Override, Rel Override, %ForEachParentRel, %ForEachChildRel."},"2249":{y:0,u:"../Content/User Guides/erwin Help/%25RelIsNonull.html",l:-1,t:"%RelIsNonull",i:0.000169830065789523,a:"Examines the relationship null expression and returns TRUE if nulls are not allowed and FALSE if nulls are allowed. Syntax %RelIsNonull Syntax Example %If(%RelIsNonull) {     %VerbPhrase} } Expansion is_rented_under Usage Classified as a Relationship macro that you can use in RI Override, Rel ..."},"2250":{y:0,u:"../Content/User Guides/erwin Help/%25RelLogProp().html",l:-1,t:"%RelLogProp()",i:0.000169830065789523,a:"Expands the user-defined property (UDP) value of the logical relationship specified. Syntax %RelLogProp(UDP Name) Syntax Example %RelLogProp(Designer) Expansion Karen Wells Usage Classified as a Relationship macro that you can use in RI Override, Rel Override, %ForEachParentRel, %ForEachChildRel."},"2251":{y:0,u:"../Content/User Guides/erwin Help/%25RelPhysProp().html",l:-1,t:"%RelPhysProp()",i:0.000169830065789523,a:"Expands the user-defined property (UDP) value of the physical relationship specified. Syntax %RelPhysProp(UDP Name) Syntax Example %RelPhysProp(DeveloperName) Expansion Frank Jones Usage Classified as a Relationship macro that you can use in RI Override, Rel Override, %ForEachParentRel, ..."},"2252":{y:0,u:"../Content/User Guides/erwin Help/%25RelRI().html",l:-1,t:"%RelRI()",i:0.000169830065789523,a:"Returns the referential integrity option of the given relationship. The result will be one of the following: CASCADE, RESTRICT, SET NULL, SET DEFAULT, or NONE.   Syntax %RelRI(\u003caction\u003e,\u003ctype\u003e) Syntax Example %ForEachChildRel() {     %RelRI(Update, Child) } Expansion CASCADE Usage Classified as a ..."},"2253":{y:0,u:"../Content/User Guides/erwin Help/%25RelTemplate.html",l:-1,t:"%RelTemplate",i:0.000169830065789523,a:"Expands the template code attached to the current relationship. If no code is attached, the corresponding diagram-wide referential integrity template is expanded. Expands the code fragment for the relationship corresponding to trigger type. Syntax %RelTemplate Syntax Example %RelTemplate Expansion ..."},"2254":{y:0,u:"../Content/User Guides/erwin Help/%25RelType.html",l:-1,t:"%RelType",i:0.000169830065789523,a:"Returns the relationship type. Relationship type valid values and their definitions include: RT_ID (identifying), RT_NI (non-identifying), RT_SC (subtype), or RT_MM (many-to-many). Syntax %RelType Syntax Example %RelType Expansion RT_ID Usage Classified as a Relationship macro that you can use in RI ..."},"2255":{y:0,u:"../Content/User Guides/erwin Help/%25SetFK().html",l:-1,t:"%SetFK()",i:0.000169830065789523,a:"Lists foreign key attribute names of a child entity in a relationship and sets each member to the specified value. Syntax %SetFK(\u003cchild table\u003e,\u003cvalue\u003e) Syntax Example %SetFK(%Child,NULL) Expansion MOVIE_RENTAL_RECOR.master_number = NULL, MOVIE_RENTAL_RECOR.movie_copy_number = NULL Usage Classified ..."},"2256":{y:0,u:"../Content/User Guides/erwin Help/%25TriggerRelRI().html",l:-1,t:"%TriggerRelRI()",i:0.000169830065789523,a:"Boolean predicate that is TRUE if the given trigger and relationship are of the given action, RI type (child or parent), and integrity rule. Syntax %TriggerRelRI(\u003caction\u003e, \u003ctype\u003e, \u003cintegrity\u003e) Syntax Example %ForEachChildRel() {     %If(%TriggerRelRI(Update, Child, Cascade)) {%VerbPhrase Child ..."},"2257":{y:0,u:"../Content/User Guides/erwin Help/%25VerbPhrase.html",l:-1,t:"%VerbPhrase",i:0.000169830065789523,a:"%VerbPhrase Returns the verb phrase of a relationship. Syntax %VerbPhrase Syntax Example %VerbPhrase Expansion is rented under Usage Classified as a Relationship macro that you can use in RI Override, Rel Override, %ForEachParentRel, %ForEachChildRel."},"2258":{y:0,u:"../Content/User Guides/erwin Help/Attribute Macros.html",l:-1,t:"Attribute Macros",i:0.000166114308486072,a:"This section contains the following topics %AttDatatype %AttDef %AttDefault %AttDomain %AttFieldName %AttFieldWidth %AttId %AttIsFK %AttIsPK %AttIsRolenamed %AttName %AttNullOption %AttPhysDatatype %AttProp() %AttValidation %AttributeDatatype %AttributeDefault %AttributeNullOption ..."},"2259":{y:0,u:"../Content/User Guides/erwin Help/%25AttDatatype.html",l:-1,t:"%AttDatatype",i:0.00016964427792435,a:"Returns the datatype of the current attribute. For SQL Server and SAP ASE, you can use domains to assign a user-defined datatype. If an attribute has a user-defined datatype, then this macro provides its name. This macro is a legacy macro. Depending on your model type, we recommend that you use ..."},"2260":{y:0,u:"../Content/User Guides/erwin Help/%25AttDef.html",l:-1,t:"%AttDef",i:0.00016964427792435,a:"Returns the definition of an attribute. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColumnComment. For more information on legacy macros and their related new macros, see the topic \"Legacy ..."},"2261":{y:0,u:"../Content/User Guides/erwin Help/%25AttDefault.html",l:-1,t:"%AttDefault",i:0.00016964427792435,a:"Returns the name of the default that is attached to the attribute.  This macro is a legacy macro. Depending on your model type, we recommend that you use either %ColumnDefault or %AttributeDefault for new models. For more information on legacy macros and their related new macros, see the topic ..."},"2262":{y:0,u:"../Content/User Guides/erwin Help/%25AttDomain.html",l:-1,t:"%AttDomain",i:0.00016964427792435,a:"Returns the name of the domain that is attached to an attribute. Syntax %AttDomain Syntax Example %ForEachAttribute (TestTable) {%AttName: %AttDomain} Expansion ColA : \u003cunknown\u003e ColB : Number ColC : Datetime Usage Classified as an Attribute macro. %AttDomain is used within the scope of an attribute."},"2263":{y:0,u:"../Content/User Guides/erwin Help/%25AttFieldName.html",l:-1,t:"%AttFieldName",i:0.00016964427792435,a:"%AttFieldName Returns the column name associated with the current attribute. Syntax %AttFieldName Syntax Example /*If the current attribute is renting-customer, then */ %AttFieldName Expansion renting_customer Usage Classified as an Attribute macro."},"2264":{y:0,u:"../Content/User Guides/erwin Help/%25AttFieldWidth.html",l:-1,t:"%AttFieldWidth",i:0.00016964427792435,a:"Returns the length of the column datatype. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColWidth. For more information on legacy macros and their related new macros, see the topic \"Legacy Macros.\" ..."},"2265":{y:0,u:"../Content/User Guides/erwin Help/%25AttId.html",l:-1,t:"%AttId",i:0.00016964427792435,a:"%AttId Returns the number that identifies the attribute.  Syntax %AttId Syntax Example %ForEachAttribute( ) {%AttId} Expansion 1 Usage Classified as an Attribute macro."},"2266":{y:0,u:"../Content/User Guides/erwin Help/%25AttIsFK.html",l:-1,t:"%AttIsFK",i:0.00016964427792435,a:"A Boolean predicate that determines whether or not the current attribute is a foreign key member. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColIsFK. For more information on legacy macros and ..."},"2267":{y:0,u:"../Content/User Guides/erwin Help/%25AttIsPK.html",l:-1,t:"%AttIsPK",i:0.00016964427792435,a:"A Boolean predicate that determines whether or not the current attribute is a primary key member. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColIsPK. For more information on legacy macros and ..."},"2268":{y:0,u:"../Content/User Guides/erwin Help/%25AttIsRolenamed.html",l:-1,t:"%AttIsRolenamed",i:0.00016964427792435,a:"%AttIsRolenamed A Boolean predicate that determines whether or not the current attribute is rolenamed.  Syntax %AttIsRolenamed Syntax Example %ForEachAttribute() {     %If(%AttIsRolenamed) {        %AttName} } Expansion renting_customer Usage Classified as an Attribute macro."},"2269":{y:0,u:"../Content/User Guides/erwin Help/%25AttName.html",l:-1,t:"%AttName",i:0.00016964427792435,a:"%AttName Returns the name of the current attribute.  Syntax %AttName Syntax Example %ForEachAttribute() {     %AttName } Expansion master-number movie-copy-number general-condition Usage Classified as an Attribute macro."},"2270":{y:0,u:"../Content/User Guides/erwin Help/%25AttNullOption.html",l:-1,t:"%AttNullOption",i:0.00016964427792435,a:"Returns the null option, either NULL or NOT NULL of the current attribute. This macro is a legacy macro. Depending on your model type, we recommend that you use either %ColumnNullOption or %AttributeNullOption for new models. For more information on legacy macros and their related new macros, see ..."},"2271":{y:0,u:"../Content/User Guides/erwin Help/%25AttPhysDatatype.html",l:-1,t:"%AttPhysDatatype",i:0.00016964427792435,a:"Returns the physical datatype, including user-defined datatypes, of the current attribute. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColumnPhysDatatype. For more information on legacy macros and ..."},"2272":{y:0,u:"../Content/User Guides/erwin Help/%25AttProp().html",l:-1,t:"%AttProp()",i:0.00016964427792435,a:"%AttProp() Expands the user-defined property (UDP) value of the name you specify for an attribute. The UDP name is case sensitive, so make sure to enter the UDP name exactly as shown. Syntax %AttProp(UDP Name)  Syntax Example %AttProp(Rental Rate) Expansion 4 Usage Classified as an Attribute macro."},"2273":{y:0,u:"../Content/User Guides/erwin Help/%25AttValidation.html",l:-1,t:"%AttValidation",i:0.00016964427792435,a:"Returns the name of the validation that is attached to a given attribute. This macro is a legacy macro. Depending on your model type, we recommend that you use either %ColumnValidation or %AttributeValidation for new models. For more information on legacy macros and their related new macros, see the ..."},"2274":{y:0,u:"../Content/User Guides/erwin Help/%25AttributeDatatype.html",l:-1,t:"%AttributeDatatype",i:0.00016964427792435,a:"%AttributeDatatype Returns the datatype of the current attribute.  Syntax %AttributeDatatype Syntax Example %ForEachAttribute() {     %AttName -\u003e %AttributeDatatype } Expansion master-number -\u003e int movie-copy-number -\u003e int general-condition -\u003e varchar(5) Usage Classified as an Attribute macro. "},"2275":{y:0,u:"../Content/User Guides/erwin Help/%25AttributeDefault.html",l:-1,t:"%AttributeDefault",i:0.00016964427792435,a:"%AttributeDefault Returns the name of the default that is attached to the attribute (logical only).  Syntax %AttributeDefault Syntax Example %AttributeDefault Expansion SPACES Usage Classified as an Attribute macro."},"2276":{y:0,u:"../Content/User Guides/erwin Help/%25AttributeNullOption.html",l:-1,t:"%AttributeNullOption",i:0.00016964427792435,a:"Returns the null option, either NULL or NOT NULL, of the current attribute.  Syntax %AttributeNullOption Syntax Example %ForEachAttribute() {     %AttName -\u003e %AttributeNullOption } Expansion master-number -\u003e NOT NULL movie-copy-number -\u003e NULL general-condition -\u003e NULL Usage Classified as an ..."},"2277":{y:0,u:"../Content/User Guides/erwin Help/%25AttributeValidation.html",l:-1,t:"%AttributeValidation",i:0.00016964427792435,a:"%AttributeValidation Returns the name of the validation attached to a given attribute.  Syntax %AttributeValidation Syntax Example /*If the current attribute is due date, then */ %AttributeValidation Expansion DUE DATE RULE Usage Classified as an Attribute macro."},"2278":{y:0,u:"../Content/User Guides/erwin Help/%25ColDomain.html",l:-1,t:"%ColDomain",i:0.00016964427792435,a:"Returns the physical name of the domain attached to a column. Syntax %ColDomain Syntax Example /*Where the table name is Movie Rental Record */ %ForEachColumn() {%ColDomain} Expansion Number Datetime Number Number Number Datetime Datetime String Number \u003cdefault\u003e Number Usage Classified as an ..."},"2279":{y:0,u:"../Content/User Guides/erwin Help/%25CollsFK.html",l:-1,t:"%CollsFK",i:0.00016964427792435,a:"%CollsFK A Boolean predicate that determines whether or not the current column is a foreign key member.  Syntax %CollsFK Syntax Example %ForEachCol() {     %If(%ColIsFK) {         %ColName -\u003e FK} } Expansion master-number -\u003e FK Usage Classified as an Attribute macro."},"2280":{y:0,u:"../Content/User Guides/erwin Help/%25CollsPK.html",l:-1,t:"%CollsPK",i:0.00016964427792435,a:"%CollsPK A Boolean predicate that determines whether or not the current column is a primary key member. Syntax %CollsPK Syntax Example %ForEachCol() {     %If(%ColIsPK) {         %ColName -\u003e PK} } Expansion master-number -\u003e PK movie-copy-number -\u003e PK Usage Classified as an Attribute macro."},"2281":{y:0,u:"../Content/User Guides/erwin Help/%25ColName.html",l:-1,t:"%ColName",i:0.00016964427792435,a:"%ColName Returns a column name. Syntax %ColName Syntax Example %ForEachFKColumn {%ColName} Expansion customer_number Usage Classified as an Attribute macro."},"2282":{y:0,u:"../Content/User Guides/erwin Help/%25ColProp().html",l:-1,t:"%ColProp()",i:0.00016964427792435,a:"Expands the user-defined property (UDP) value of the column UDP name specified. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %ColumnProp(). For more information on legacy macros and their related ..."},"2283":{y:0,u:"../Content/User Guides/erwin Help/%25ColWidth.html",l:-1,t:"%ColWidth",i:0.00016964427792435,a:"%ColWidth Returns the length of the column datatype. Syntax %ColWidth Syntax Example %ForEachCol() {     %ColName -\u003e %ColWidth } Expansion master_number -\u003e 0 movie-copy-number -\u003e 0 general-condition -\u003e 5 Usage Classified as an Attribute macro."},"2284":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnCheckConstraintName.html",l:-1,t:"%ColumnCheckConstraintName",i:0.00016964427792435,a:"%ColumnCheckConstraintName Adds a constraint name for the association between the column and the validation rule. Syntax %ColumnCheckConstraintName Usage Classified as an Attribute macro."},"2285":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnComment.html",l:-1,t:"%ColumnComment",i:0.00016964427792435,a:"%ColumnComment Returns the column comments. Syntax %ColumnComment Syntax Example %ColumnComment Expansion The unique ID of a movie. Usage Classified as an Attribute macro."},"2286":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnDatatype.html",l:-1,t:"%ColumnDatatype",i:0.00016964427792435,a:"%ColumnDatatype Returns the datatype of the current column.  Syntax %ColumnDatatype Syntax Example %ForEachColumn() {     %ColName -\u003e %ColumnDatatype } Expansion master-number -\u003e int movie-copy-number -\u003e int general-condition -\u003e varchar(5) Usage Classified as an Attribute macro. "},"2287":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnDefault.html",l:-1,t:"%ColumnDefault",i:0.00016964427792435,a:"%ColumnDefault Returns the name of the default that is attached to the column. Syntax %ColumnDefault Syntax Example %ColumnDefault Expansion SPACES Usage Classified as an Attribute macro."},"2288":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnDefaultConstraintName.html",l:-1,t:"%ColumnDefaultConstraintName",i:0.00016964427792435,a:"%ColumnDefaultConstraintName Provides a name for the default constraint associated with a column. Syntax %ColumnDefaultConstraintName Usage Classified as an Attribute macro."},"2289":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnNullOption.html",l:-1,t:"%ColumnNullOption",i:0.00016964427792435,a:"Returns the null option, either NULL or NOT NULL, of the current column.  Syntax %ColumnNullOption Syntax Example %ForEachColumn() {     %ColName -\u003e %ColumnNullOption } Expansion master-number -\u003e NOT NULL movie-copy-number -\u003e NULL general-condition -\u003e NULL Usage Classified as an Attribute macro."},"2290":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnPhysDatatype.html",l:-1,t:"%ColumnPhysDatatype",i:0.00016964427792435,a:"Returns the physical datatype, including user-defined datatypes, of the current column.  Syntax %ColumnPhysDatatype Syntax Example %ForEachColumn() {     %ColName -\u003e %ColumnPhysDatatype } Expansion master-number -\u003e int movie-copy-number -\u003e int general-condition -\u003e varchar(5) Returns a built-in ..."},"2291":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnProp().html",l:-1,t:"%ColumnProp()",i:0.00016964427792435,a:"%ColumnProp() Expands the user-defined property (UDP) value for a column name specified. Syntax %ColumnProp(UDPName) Syntax Example %ColumnProp(Status) Expansion Temporary Usage Classified as an Attribute macro."},"2292":{y:0,u:"../Content/User Guides/erwin Help/%25ColumnValidation.html",l:-1,t:"%ColumnValidation",i:0.00016964427792435,a:"%ColumnValidation Returns the name of the validation attached to the given column.  Syntax %ColumnValidation Syntax Example /*If the current column is due date, then */ %ColumnValidation Expansion DUE DATE RULE Usage Classified as an Attribute macro."},"2293":{y:0,u:"../Content/User Guides/erwin Help/%25OwnerEntity.html",l:-1,t:"%OwnerEntity",i:0.00016964427792435,a:"%OwnerEntity Returns the name of the entity that owns the current attribute. Syntax %OwnerEntity Syntax Example /*Where the current attribute is director*/ %OwnerEntity Expansion MOVIE Usage Classified as an Attribute macro."},"2294":{y:0,u:"../Content/User Guides/erwin Help/%25OwnerTable.html",l:-1,t:"%OwnerTable",i:0.00016964427792435,a:"%OwnerTable Returns the name of the table that owns the current column. Syntax %OwnerTable Syntax Example /*Where the current column is general conditions*/ %OwnerTable Expansion MOVIE_COPY Usage Classified as an Attribute macro."},"2295":{y:0,u:"../Content/User Guides/erwin Help/%25ParentAtt().html",l:-1,t:"%ParentAtt()",i:0.00016964427792435,a:"Expands any attribute macro, such as %AttFieldName, on the parent primary key attribute from which the current attribute is migrated. This macro is a legacy macro. Depending on your model type, we recommend that you use either %ParentColumn() or %ParentAttribute() for new models. For more ..."},"2296":{y:0,u:"../Content/User Guides/erwin Help/%25ParentAttribute().html",l:-1,t:"%ParentAttribute()",i:0.00016964427792435,a:"Expands any attribute macro, such as %AttFieldName, on the parent primary key attribute from which the current attribute is migrated.  Syntax %ParentAttribute(\u003cattribute macro\u003e) Syntax Example %ForEachFKAttribute() {%ParentAttribute(%FieldName)} Expansion master_number, movie_copy_number Usage ..."},"2297":{y:0,u:"../Content/User Guides/erwin Help/%25ParentColumn().html",l:-1,t:"%ParentColumn()",i:0.00016964427792435,a:"%ParentColumn() Expands any column macro on the parent foreign key column from which the current column is migrated.  Syntax %ParentColumn(\u003ccolumn macro\u003e) Syntax Example %ForEachFKColumn() {%ParentColumn (%FieldName)} Expansion master_number, movie_copy_number Usage Classified as an Attribute macro."},"2298":{y:0,u:"../Content/User Guides/erwin Help/%25ViewColumnName.html",l:-1,t:"%ViewColumnName",i:0.00016964427792435,a:"%ViewColumnName Returns a column name in the given view.  Syntax %ViewColumnName Syntax Example %ForEachFKColumn {%ViewColumnName} Expansion master_number, movie_copy_number, general_condition Usage Classified as an Attribute macro."},"2299":{y:0,u:"../Content/User Guides/erwin Help/Constraint Macros.html",l:-1,t:"Constraint Macros",i:0.000166114308486072,a:"This section contains the following topics %DefaultName %DefaultValue %DomainComment %DomainDatatype %DomainDef %DomainDefault %DomainIsRequired %DomainLogDatatype %DomainLogDefault %DomainName %DomainNullOption %DomainPhysDatatype %DomainPhysDefault %DomainValidation %Fire %ForEachDefault() ..."},"2300":{y:0,u:"../Content/User Guides/erwin Help/%25DefaultName.html",l:-1,t:"%DefaultName",i:0.000171762259587317,a:"Returns the name of a erwin DM default. Syntax %DefaultName Syntax Example /* If SQL Server is the current target server */  %ForEachDefault ( ) {%DefaultName} ) Expansion CURRENT-TIMESTAMP CURRENT-USER NULL SESSION-USER USER Usage Classified as a Constraint macro that you can use within the scope ..."},"2301":{y:0,u:"../Content/User Guides/erwin Help/%25DefaultValue.html",l:-1,t:"%DefaultValue",i:0.000171762259587317,a:"Returns the value of a erwin DM default. Syntax %DefaultValue(\u003cdefault name\u003e) or %DefaultValue Syntax Example %ForEachDefault(\", \"){ %DefaultValue } Expansion NEW RELEASE, COMEDY, DRAMA, CHILDREN, HORROR Usage Classified as a Constraint macro that you can use globally with an argument ..."},"2302":{y:0,u:"../Content/User Guides/erwin Help/%25DomainComment.html",l:-1,t:"%DomainComment",i:0.000171762259587317,a:"Returns the comment associated with the domain. Syntax %DomainComment(\u003cdomain name\u003e) or %DomainComment Syntax Example %DomainComment(domain name) or %DomainComment Expansion comment1 comment2 Usage Classified as a Constraint macro that you can use globally with an argument %DomainComment(\u003cdomain ..."},"2303":{y:0,u:"../Content/User Guides/erwin Help/%25DomainDatatype.html",l:-1,t:"%DomainDatatype",i:0.000171762259587317,a:"Returns the physical datatype of the domain. This macro is a legacy macro. Depending on your model type, we recommend that you use either %DomainPhysDatatype or %DomainLogDatatype for new models. For more information on legacy macros and their related new macros, see the topic \"Legacy Macros\".  ..."},"2304":{y:0,u:"../Content/User Guides/erwin Help/%25DomainDef.html",l:-1,t:"%DomainDef",i:0.000171762259587317,a:"Returns the definition of a domain. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %DomainComment. For more information on legacy macros and their related new macros, see the topic \"Legacy Macros\".  ..."},"2305":{y:0,u:"../Content/User Guides/erwin Help/%25DomainDefault.html",l:-1,t:"%DomainDefault",i:0.000171762259587317,a:"Returns the name of the default value that is attached to a domain. This macro is a legacy macro. Depending on your model type, we recommend that you use either %DomainPhysDefault or %DomainLogDefault for new models. For more information on legacy macros and their related new macros, see the topic ..."},"2306":{y:0,u:"../Content/User Guides/erwin Help/%25DomainIsRequired.html",l:-1,t:"%DomainIsRequired",i:0.000171762259587317,a:"Returns the domain null options-either NULL, NOT NULL, IDENTITY WITH NULL, or NOT NULL WITH DEFAULT.  Syntax %DomainIsRequired(\u003cdomain name\u003e) or %DomainIsRequired Syntax Example %DomainIsRequired(\u003cADDRESS\u003e) Expansion NOT NULL Usage Classified as a Constraint macro that you can use globally with an ..."},"2307":{y:0,u:"../Content/User Guides/erwin Help/%25DomainLogDatatype.html",l:-1,t:"%DomainLogDatatype",i:0.000171762259587317,a:"Returns the logical datatype of the domain. Syntax %DomainLogDatatype(\u003cdomain logical name\u003e) or %DomainLogDatatype Syntax Example %ForEachDomain() {     %DomainName         %DomainLogDatatype } Expansion varchar(10), int, char Usage Classified as a Constraint macro that you can use globally with an ..."},"2308":{y:0,u:"../Content/User Guides/erwin Help/%25DomainLogDefault.html",l:-1,t:"%DomainLogDefault",i:0.000171762259587317,a:"Returns the name of the default value that is attached to a logical domain.  Syntax (\u003cdomain logical name\u003e) or %DomainLogDefault Syntax Example %DomainLogDefault (state)} Expansion Utah Usage Classified as a Constraint macro that you can use globally with an argument %DomainLogDefault(\u003cdomain ..."},"2309":{y:0,u:"../Content/User Guides/erwin Help/%25DomainName.html",l:-1,t:"%DomainName",i:0.000171762259587317,a:"%DomainName Returns the name of a domain. Syntax %DomainName[([Logical|Physical])] Syntax Example %ForEachDomain{ %DomainName} Expansion PERSON NAME ADDRESS Usage Classified as a Constraint macro that you can use within the scope of a domain (for example, %ForEachDomain)."},"2310":{y:0,u:"../Content/User Guides/erwin Help/%25DomainNullOption.html",l:-1,t:"%DomainNullOption",i:0.000171762259587317,a:"Returns the domain null options either NULL, NOT NULL, IDENTITY WITH NULL, or NOT NULL WITH DEFAULT. This macro is a legacy macro and is used for logical-only or combination logical/physical models. For any new physical-only models you need to use %DomainIsRequired. For more information on legacy ..."},});