define({"2660":{y:0,u:"../Content/Tools/Git Support/GitSupport.html",l:-1,t:"Git Support",i:0.000166114308486072,a:"Git Support This guide walks you through the configuration and usage of Git via erwin Data Modeler."},"2661":{y:0,u:"../Content/References/API Reference/API Reference Guide.html",l:-1,t:"API Reference Guide",i:0.000166114308486072,a:"API Reference This guide walks you through erwin API and its usage."},"2662":{y:0,u:"../Content/References/API Reference/Introduction.html",l:-1,t:"Introduction",i:0.000166114308486072,a:"to API The Script Client API that is part of erwin DM provides advanced customization capabilities that enable you to access and manipulate modeling data in memory at runtime, as well as models persisted in files and in a mart. The API interfaces are automation-compatible and provide extensive ..."},"2663":{y:0,u:"../Content/References/API Reference/Major_Features.html",l:-1,t:"Major Features",i:0.000236713697251628,a:"The API is a group of interfaces that includes the following features: Active Model Data Objects (AMDO) Lets a third-party client to access model data through a COM automation-compatible API. This feature is the major component in the API functionality. All interfaces that comprise the API are ..."},"2664":{y:0,u:"../Content/References/API Reference/Typical_Use_Cases.html",l:-1,t:"Typical Use Cases",i:0.000236713697251628,a:"The typical use cases of the API are automation and scripts to support specific interface design requirements imposed by COM automation standards. For example, you can be limited to a single incoming and outgoing interface exposed by any particular COM object. This limitation is due to the fact that ..."},"2665":{y:0,u:"../Content/References/API Reference/Standalone_Client.html",l:-1,t:"Standalone Client",i:0.000166114308486072,a:"One of the ways the API is used is as a standalone client. A third-party client activates the API as an in-process server. The API component does not have visual representation, that is, it does not expose a user interface. The API provides Active Model Directory facilities to specify a target model ..."},"2666":{y:0,u:"../Content/References/API Reference/Add-in_Component_or_Script.html",l:-1,t:"Add-in Component or Script",i:0.000166114308486072,a:"Another way the API is used is as an add-in component or script. erwin DM hosts third-party add-in modules and scripts. The Active Scripting component in the API provides a mechanism for registering modules with a host tool, arranging representation in the host user interface, creating add-in menus, ..."},"2667":{y:0,u:"../Content/References/API Reference/API_Components.html",l:-1,t:"API Components",i:0.000166114308486072,a:"API Components This section contains the following topics Overview Access to Model Data Objects and Properties Collections and Automation The API Sample Client erwin Spy"},"2668":{y:0,u:"../Content/References/API Reference/Overview.html",l:-1,t:"Overview",i:0.000189647438074591,a:"The API is a collection of interfaces that represent erwin DM functionality. The application exports the top-level interface, from which the client obtains lower-level interfaces as needed. Interfaces are logically grouped into tiers, where each tier includes interfaces that represent the ..."},"2669":{y:0,u:"../Content/References/API Reference/Application_Tier.html",l:-1,t:"Application Tier",i:0.000166114308486072,a:"The Application Tier represents erwin DM functionality, establishes access to models in persistent storage, and controls the exchange between models in memory and models in persistent storage. The following table describes the interfaces of the Application Tier: This is a graphical representation of ..."},"2670":{y:0,u:"../Content/References/API Reference/Model_Directory_Tier.html",l:-1,t:"Model Directory Tier",i:0.000166114308486072,a:"The Model Directory Tier accesses and manipulates the persistence storage directories, such as a file system directory or a mart directory. The following table describes the interfaces of the Model Directory Tier: This is a graphical representation of the relationships of the Model Directory Tier:"},"2671":{y:0,u:"../Content/References/API Reference/Sessions_Tier.html",l:-1,t:"Sessions Tier",i:0.000166114308486072,a:"Sessions Tier The Sessions Tier establishes access to model data in memory. The following table describes the interfaces of the Sessions Tier: This is a graphical representation of the relationships of the Sessions Tier:"},"2672":{y:0,u:"../Content/References/API Reference/Model_Data_Tier.html",l:-1,t:"Model Data Tier",i:0.000166114308486072,a:"Model Data Tier The Model Data Tier accesses and manipulates model data. The following table describes the interfaces of the Model Data Tier: This is a graphical representation of the relationships of the Model Data Tier:"},"2673":{y:0,u:"../Content/References/API Reference/Access_to_Model_Data.html",l:-1,t:"Access to Model Data",i:0.000189647438074591,a:"The API allows API clients to manipulate models. An API client locates models in persistence storage by using the Model Directory Collection, Model Directory, and the Model Directory Unit components. By using its properties, the Model Directory Unit provides the information necessary to register the ..."},"2674":{y:0,u:"../Content/References/API Reference/Objects_and_Properties.html",l:-1,t:"Objects and Properties",i:0.000189647438074591,a:"Objects and Properties The API presents data in object/property form. In a erwin DM model, for example, an attribute is represented by an instance of an Attribute object. The name of the attribute is contained in the Name property of the Attribute object."},"2675":{y:0,u:"../Content/References/API Reference/Object_Identifiers.html",l:-1,t:"Object Identifiers",i:0.000166114308486072,a:"Each object must bear an identifier, which is a value that uniquely identifies the object instance. Internally, object identifiers are 20 bytes long. They contain two components: a GUID (also known as a UUID) in the first 16 bytes, and a 32-bit unsigned integer suffix in the last 4 bytes. A GUID ..."},"2676":{y:0,u:"../Content/References/API Reference/Object_Identifiers_and_Type_Codes.html",l:-1,t:"Object Identifiers and Type Codes",i:0.000166114308486072,a:"Consider the relationship between object instances in the SCD_SL_ M0 layer and object instances in the SCD_SL_ M1 layer. An instance in the SCD_SL_ M0 layer is described by an instance in the SCD_SL_ M1 layer. For instance, a single object in the SCD_SL_ M1 layer describes every entity instance in ..."},"2677":{y:0,u:"../Content/References/API Reference/Properties_Property_Flags_and_Value_Facets.html",l:-1,t:"Properties, Property Flags, and Value Facets",i:0.000166114308486072,a:"Properties present data in the form of values and additional flags. Property values are either scalar with a single value, or non-scalar with multiple values. More information about scalar and non-scalar property values is located in the  Scalar and Non-Scalar Property Values  section. Property ..."},"2678":{y:0,u:"../Content/References/API Reference/Scalar_and_Non-Scalar_Property_Values.html",l:-1,t:"Scalar and Non-Scalar Property Values",i:0.000213180567663109,a:"A scalar property is a property that can be represented as a single value. The properties that contain multiple values (either homogeneous or heterogeneous) are non-scalar properties. The type of a property can be recognized by reviewing the property flags. Scalar properties have a SCD_MPF_SCALAR ..."},"2679":{y:0,u:"../Content/References/API Reference/Collections_and_Automation.html",l:-1,t:"Collections and Automation",i:0.000189647438074591,a:"Automation defines the IEnumVARIANT interface to provide a standard way for the API clients to iterate over collections. Every collection interface in the API exposes a read-only property named _NewEnum to let the API clients know that the collection supports iteration. The _NewEnum property returns ..."},"2680":{y:0,u:"../Content/References/API Reference/_NewEnum_Property_of_a_Collection_Object.html",l:-1,t:"_NewEnum Property of a Collection Object",i:0.000166114308486072,a:"The _NewEnum property identifies support for iteration through the IEnumVARIANT interface. The _NewEnum property has the following requirements: The name is _NewEnum.\n It returns a pointer to the enumerator IUnknown interface.\n The Dispatch identification for the property is DISPID = DISPID_NEWENUM ..."},"2681":{y:0,u:"../Content/References/API Reference/Default_Properties.html",l:-1,t:"Default Properties",i:0.000166114308486072,a:"Default Properties A default property for automation is the property that is accessed when the object is referred to without any explicit property or method call. The property dispatch identifier is DISPID_VALUE."},"2682":{y:0,u:"../Content/References/API Reference/Optional_Parameter.html",l:-1,t:"Optional Parameter",i:0.000166114308486072,a:"Optional Parameter To support automation client requirements, all optional parameters are represented as VARIANT. For that reason, a parameter type in an interface description is only to document an expected type in the VARIANT structure."},"2683":{y:0,u:"../Content/References/API Reference/The_API_Sample_Client.html",l:-1,t:"The API Sample Client",i:0.000189647438074591,a:"Two Visual Basic .NET sample projects are provided with the API, erwinSpy.NET.x64.exe and erwinSpy.NET.x86.exe. If you run the Custom Setup type of installation, select the erwin API Sample Client when prompted to select the program features that you want to install. After installation, you can ..."},"2684":{y:0,u:"../Content/References/API Reference/Using_the_API_Sample_Client.html",l:-1,t:"Using the API Sample Client",i:0.000166114308486072,a:"This section describes how to utilize the API sample client as a standalone version and as an add-in component. The standalone version of the sample program is erwinSpy.NET.x64.exe. You can build erwinSpy.NET to create  erwinSpy.NET.x64.exe. This program is a erwin DM model data browser that you can ..."},"2685":{y:0,u:"../Content/References/API Reference/Register_the_Add-in_Component.html",l:-1,t:"Register the Add-in Component",i:0.000166114308486072,a:"After you build the add-in component with the erwinSpy_AddIn.NET project, you must register it. To register the add-in component Navigate to the erwinSpy.NET\\bin folder in the installation directory.\n Copy the add-in component to the erwinSpy.NET\\bin folder.\n Rename the add-in to ..."},"2686":{y:0,u:"../Content/References/API Reference/erwinSpy.html",l:-1,t:"erwin Spy",i:0.000189647438074591,a:"The erwin Spy application visualizes metadata information and provides intrinsic and model-specific metadata. It demonstrates the API functionality and provides a set of useful features to study how model data is stored. erwin Spy reads the erwin DM metamodel and simplifies the task of comprehending ..."},"2687":{y:0,u:"../Content/References/API Reference/How_the_erwin_Spy_Application_Works.html",l:-1,t:"How the erwin Spy Application Works",i:0.000166114308486072,a:"To see how erwin Spy can help you visualize metadata information, do the following: Start with an empty logical-physical model.\n Click erwin Spy on the Tools, Add-Ins menu to launch erwin Spy.\n Ensure that you have added the erwin Spy application as a erwin DM add-in application on the Tools, ..."},"2688":{y:0,u:"../Content/References/API Reference/API_Tasks.html",l:-1,t:"API Tasks",i:0.000166114308486072,a:"This chapter describes how to perform basic tasks using the API. Each task is documented with a table that lists the interfaces and methods needed for that task. In most cases, the table shows a subset of all the methods for that interface. A complete list of API interfaces and their methods is ..."},"2689":{y:0,u:"../Content/References/API Reference/API_Environment.html",l:-1,t:"API Environment",i:0.000174420118929079,a:"The API is packaged as a set of COM Dynamic Link Libraries (DLL) and works as a part of a customer process. EAL.dll is responsible for launching the API environment. When erwin DM is installed, EAL.dll and the rest of the API components are copied to the erwin Data Modeler directory, and the ..."},"2690":{y:0,u:"../Content/References/API Reference/Creating_the_ISCApplication_Object.html",l:-1,t:"Creating the ISCApplication Object",i:0.000174420118929079,a:"The entry point into the interface hierarchy of the API is through the ISCApplication interface. The ISCApplication interface provides access to the persistence units and sessions. You must create an instance of ISCApplication prior to using any of the other interfaces in the API. Example 1 The ..."},"2691":{y:0,u:"../Content/References/API Reference/Application_Properties.html",l:-1,t:"Application Properties",i:0.000174420118929079,a:"Application Properties You can get information about the erwin DM application by using the following tables."},"2692":{y:0,u:"../Content/References/API Reference/ISCApplication_Interface.html",l:-1,t:"ISCApplication Interface",i:0.000166114308486072,a:"ISCApplication Interface The following table contains information on the ISCApplication interface:"},"2693":{y:0,u:"../Content/References/API Reference/ISCApplicationEnvironment.html",l:-1,t:"ISCApplicationEnvironment",i:0.000166114308486072,a:"The following table contains information on the ISCApplicationEnvironment interface: Feature categories in the Category parameter of the PropertyBag property are hierarchical and use a dot (.) to define feature subsets. For example, the Application category populates a property bag with a complete ..."},"2694":{y:0,u:"../Content/References/API Reference/Accessing_a_Model.html",l:-1,t:"Accessing a Model",i:0.000209719813311857,a:"An API client accesses model data by working with a pool of available persistence units. A persistence unit is the API concept that describes all data related to a single model. A persistence unit can be accessed and saved to persistence storage, such as a file or a model in a mart. A client ..."},"2695":{y:0,u:"../Content/References/API Reference/Using_the_API_as_an_Add-in_Tool.html",l:-1,t:"Using the API as an Add-in Tool",i:0.000166114308486072,a:"When the API client is a DLL that is invoked by clicking Add-Ins from the Tools menu, the client runs within the environment of erwin DM. As a result, all the models that are currently open within erwin DM are populated in the PersistenceUnits property of the ISCApplication interface, when an ..."},"2696":{y:0,u:"../Content/References/API Reference/ISCApplication_Interface_2.html",l:-1,t:"ISCApplication Interface",i:0.000166114308486072,a:"ISCApplication Interface The following table contains information on the ISCApplication interface:"},"2697":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnitCollection_Interface.html",l:-1,t:"ISCPersistenceUnitCollection Interface",i:0.000166114308486072,a:"ISCPersistenceUnitCollection Interface The following table contains information on the ISCPersistenceUnitCollection interface:"},"2698":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnit_Interface.html",l:-1,t:"ISCPersistenceUnit Interface",i:0.000166114308486072,a:"ISCPersistenceUnit Interface The following table contains information on the ISCPersistenceUnit interface:"},"2699":{y:0,u:"../Content/References/API Reference/Property_Bag_Members_for_a_Persistence_Unit.html",l:-1,t:"Property Bag Members for a Persistence Unit",i:0.000166114308486072,a:"Property Bag Members for a Persistence Unit The following table shows some property names and descriptions for property bag members of an existing persistence unit.  A complete set of available properties is located in the appendix  API Interfaces Reference ."},"2700":{y:0,u:"../Content/References/API Reference/ISCPropertyBag_Interface.html",l:-1,t:"ISCPropertyBag Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPropertyBag interface: Example 3 The following example illustrates how to use the API as an add-in tool to iterate through the open models using C++. The example uses the Application object created in Example 1: \nvoid ..."},"2701":{y:0,u:"../Content/References/API Reference/Using_the_API_as_a_Standalone_Executable.html",l:-1,t:"Using the API as a Standalone Executable",i:0.000166114308486072,a:"When the API client is a standalone executable, the client runs outside the erwin DM environment. As a result, when the ISCApplication interface is created, the PersistenceUnits property is an empty collection. Even if erwin DM is running and there are open models, the PersistenceUnits property is ..."},"2702":{y:0,u:"../Content/References/API Reference/Creating_a_Model.html",l:-1,t:"Creating a Model",i:0.000166114308486072,a:"To create a new model using the API, you first need to create a new instance of ISCPropertyBag. The ISCPropertyBag interface is a property bag that is used to hold the properties of the new model. The following properties are used in creating a new model. A complete set of properties is located in ..."},"2703":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnitCollection_Interface_2.html",l:-1,t:"ISCPersistenceUnitCollection Interface",i:0.000166114308486072,a:"ISCPersistenceUnitCollection Interface The following table contains information on the ISCPersistenceUnitCollection interface:"},"2704":{y:0,u:"../Content/References/API Reference/ISCPropertyBag_Interface_2.html",l:-1,t:"ISCPropertyBag Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPropertyBag interface: Example 4 The following example illustrates how to create a new persistence unit using C++. The example uses the Application object created in Example 1: \nISCPersistenceUnitPtr CreateNewModel(ISCApplicationPtr \u0026 scAppPtr)\n{    ..."},"2705":{y:0,u:"../Content/References/API Reference/Opening_an_Existing_Model.html",l:-1,t:"Opening an Existing Model",i:0.000166114308486072,a:"Opening an Existing Model An existing erwin DM model is opened by adding a persistence unit to the persistence unit collection (ISCPersistenceUnitCollection). When the API client is an add-in tool, opening a model through the API also opens the model in the erwin DM user interface."},"2706":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnitCollection_Interface_3.html",l:-1,t:"ISCPersistenceUnitCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPersistenceUnitCollection interface: Detailed descriptions of the location and format of the Disposition parameters is located in the appendix  API Interfaces Reference . Example 5 The following example illustrates how to open an existing model ..."},"2707":{y:0,u:"../Content/References/API Reference/Opening_a_Session.html",l:-1,t:"Opening a Session",i:0.000166114308486072,a:"Before the objects of a model can be accessed using the API, an ISCSession instance must first be established for the ISCPersistenceUnit of the model. To open a session for a persistence unit, add a new ISCSession to the ISCSessionCollection, and then open the ISCPersistenceUnit in the new session."},"2708":{y:0,u:"../Content/References/API Reference/ISCSessionCollection_Interface.html",l:-1,t:"ISCSessionCollection Interface",i:0.000166114308486072,a:"ISCSessionCollection Interface The following table contains information on the ISCSessionCollection interface:"},"2709":{y:0,u:"../Content/References/API Reference/ISCSession_Interface.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: Example 6 The following example illustrates how to open a session using C++. The example uses the Application object created in Example 1 and the CreateNewModel function from Example 4: \nISCSessionPtr OpenSession(ISCApplicationPtr ..."},"2710":{y:0,u:"../Content/References/API Reference/Accessing_a_Model_Set.html",l:-1,t:"Accessing a Model Set",i:0.00020141400286885,a:"A persistence unit contains data as a group of linked model sets. The model sets are arranged in a tree-like hierarchy with a single model set at the top.  The top model set in a persistence unit contains the bulk of modeling data. The erwin DM API uses the abbreviation EMX to identify the top model ..."},"2711":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnit_Interface_2.html",l:-1,t:"ISCPersistenceUnit Interface",i:0.000166114308486072,a:"ISCPersistenceUnit Interface The following table contains information on the ISCPersistenceUnit interface:"},"2712":{y:0,u:"../Content/References/API Reference/ISCModelSet_Interface.html",l:-1,t:"ISCModelSet Interface",i:0.000166114308486072,a:"ISCModelSet Interface The following table contains information on the ISCModelSet interface:"},"2713":{y:0,u:"../Content/References/API Reference/ISCModelSetCollection_Interface.html",l:-1,t:"ISCModelSetCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelSetCollection interface: For information about metadata class identifiers and names, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin� Data Modeler installation folder."},"2714":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_2.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: Example 7 The following example illustrates how to open a session with the EM2 model of a persistence unit using C++. The example uses the Application object created in Example 1 and the CreateNewModel function from Example 4: ..."},"2715":{y:0,u:"../Content/References/API Reference/Accessing_Objects_in_a_Model.html",l:-1,t:"Accessing Objects in a Model",i:0.000209719813311857,a:"You can access model objects through the ModelObjects property in an active ISCSession instance. The ModelObjects property is a collection of all model objects associated with the persistence unit of the session. The ModelObjects property is an instance of the ISCModelObjectCollection. Iteration ..."},"2716":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_3.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"ISCSession Interface The following table contains information on the ISCSession interface:"},"2717":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Interface.html",l:-1,t:"ISCModelObjectCollection Interface",i:0.000166114308486072,a:"ISCModelObjectCollection Interface The following table contains information on the ISCModelObjectCollection interface:"},"2718":{y:0,u:"../Content/References/API Reference/ISCModelObject_Interface.html",l:-1,t:"ISCModelObject Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObject interface: Example 8 The following example illustrates how to access model objects using C++. The example uses the Application object created in Example 1 and the OpenSession function from Example 6: \nvoid ..."},"2719":{y:0,u:"../Content/References/API Reference/Accessing_a_Specific_Object.html",l:-1,t:"Accessing a Specific Object",i:0.000166114308486072,a:"Accessing a Specific Object You can directly access model objects in an ISCModelObjectCollection instance by using the Item method of the interface."},"2720":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Interface_2.html",l:-1,t:"ISCModelObjectCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObjectCollection interface: For information about valid object class names and identifiers, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin Data Modeler installation folder. Example 9 ..."},"2721":{y:0,u:"../Content/References/API Reference/Filtering_Object_Collections.html",l:-1,t:"Filtering Object Collections",i:0.000166114308486072,a:"You can create subsets of a collection by using ISCModelObjectCollection::Collect method. The Collect method creates a new instance of the Model Objects collection component based on the filtering criteria specified in the parameters of the method. The filtering criteria is optional, and any number ..."},"2722":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Interface_3.html",l:-1,t:"ISCModelObjectCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObjectCollection interface: For information about valid object class names and identifiers, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin Data Modeler installation folder. More ..."},"2723":{y:0,u:"../Content/References/API Reference/Accessing_Object_Properties.html",l:-1,t:"Accessing Object Properties",i:0.000174420118929079,a:"Accessing Object Properties You can access the properties of an object through the Properties property of ISCModelObject. The Properties property is an instance of ISCModelPropertyCollection. The ISCModelPropertyCollection contains instances of ISCModelProperty."},"2724":{y:0,u:"../Content/References/API Reference/Iteration_of_Properties.html",l:-1,t:"Iteration of Properties",i:0.000166114308486072,a:"Iteration of Properties This section describes the interfaces involved with the iteration of properties."},"2725":{y:0,u:"../Content/References/API Reference/ISCModelObject_Interface_2.html",l:-1,t:"ISCModelObject Interface",i:0.000166114308486072,a:"ISCModelObject Interface The following table contains information on the ISCModelObject interface:"},"2726":{y:0,u:"../Content/References/API Reference/ISCModelPropertyCollection_Interface.html",l:-1,t:"ISCModelPropertyCollection Interface",i:0.000166114308486072,a:"ISCModelPropertyCollection Interface The following table contains information on the ISCModelPropertyCollection interface:"},"2727":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelProperty interface: Example 13 The following example illustrates the iteration of properties using C++. The example uses a Model Object object from Example 9: \nvoid IterateObjectProperties(ISCModelObjectPtr \u0026 scObjPtr)\n{   \n    ..."},"2728":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface_2.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelProperty interface: More information about SC_ModelPropertyFlags is located in the  Enumerations  section. More information about property datatypes is located in the  SC_ValueTypes  section. Example 14 The following example illustrates how to ..."},"2729":{y:0,u:"../Content/References/API Reference/Iterating_Over_Non-Scalar_Property_Values.html",l:-1,t:"Iterating Over Non-Scalar Property Values",i:0.000166114308486072,a:"The properties that contain multiple values (either homogeneous or heterogeneous) are non-scalar properties. To access the individual values of a non-scalar property, the PropertyValues member of the ISCModelProperty interface is used. The PropertyValues member is an instance of ..."},"2730":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface_3.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"ISCModelProperty Interface The following table contains information on the ISCModelProperty interface:"},"2731":{y:0,u:"../Content/References/API Reference/ISCPropertyValueCollection_Interface.html",l:-1,t:"ISCPropertyValueCollection Interface",i:0.000166114308486072,a:"ISCPropertyValueCollection Interface The following table contains information on the ISCPropertyValueCollection interface:"},"2732":{y:0,u:"../Content/References/API Reference/ISCPropertyValue_Interface.html",l:-1,t:"ISCPropertyValue Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPropertyValue interface: More information about value datatypes is located in the  SC_ValueTypes  section. Example 15 The following example illustrates how to access non-scalar property values using C++. The example uses a Model Property object from ..."},"2733":{y:0,u:"../Content/References/API Reference/Accessing_a_Specific_Property.html",l:-1,t:"Accessing a Specific Property",i:0.000166114308486072,a:"Accessing a Specific Property For non-scalar properties, you can directly access individual values by using the Item method of ISCPropertyValueCollection."},"2734":{y:0,u:"../Content/References/API Reference/ISCPropertyValueCollection_Interface_2.html",l:-1,t:"ISCPropertyValueCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPropertyValueCollection interface: For r7.3, erwin DM does not support naming of non-scalar property members. Example 16 The following example illustrates how to access a specific property using C++. The example uses a Model Object object from ..."},"2735":{y:0,u:"../Content/References/API Reference/Filtering_Properties.html",l:-1,t:"Filtering Properties",i:0.000166114308486072,a:"Subsets of an instance of ISCModelPropertyCollection can be created by using its CollectProperties method of ISCModelObject. The CollectProperties method creates a new instance of ISCModelPropertyCollection based on the filtering criteria specified in the parameters of the method. By filtering the ..."},});