define({"2736":{y:0,u:"../Content/References/API Reference/ISCModelObject_Interface_3.html",l:-1,t:"ISCModelObject Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObject interface: Setting certain filter criteria can influence the effectiveness of data retrieving. For example, setting the MustBeOn filter to SCD_MPF_DERIVED builds a collection with only the calculated and derived properties. Requests to ..."},"2737":{y:0,u:"../Content/References/API Reference/Modifying_the_Model_Using_Session_Transactions.html",l:-1,t:"Modifying the Model Using Session Transactions",i:0.000174420118929079,a:"In order to make modifications to a model, session transactions must be used. Prior to making a modification, either BeginTransaction() or BeginNamedTransaction() must be called. Once all the modifications are completed, CommitTransaction() must be called. Nested transactions and rollbacks are ..."},"2738":{y:0,u:"../Content/References/API Reference/Begin_Transaction.html",l:-1,t:"Begin Transaction",i:0.000166114308486072,a:"Begin Transaction To indicate that a modification to the model is about to occur, either the BeginTransaction() or the BeginNamedTransaction() must be called. "},"2739":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_4.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: Example 18 The following example illustrates modifying the model using the Begin Transaction in C++. The example uses a Session object from Example 6: \nvoid OpenSession(ISCSessionPtr \u0026 scSessionPtr )\n{   \n    variant_t ..."},"2740":{y:0,u:"../Content/References/API Reference/Commit_Transaction.html",l:-1,t:"Commit Transaction",i:0.000166114308486072,a:"Commit Transaction The CommitTransaction() is used to commit the modifications to the in-memory model.  The Commit only applies to the in-memory model while the API is running. To persist the modifications, the model must be explicitly saved using the ISCPersistenceUnit::Save() function."},"2741":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_5.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: Example 19 The following example illustrates modifying the model using the Commit Transaction in C++. The example uses a Session object from Example 6: \nvoid Transaction(ISCSessionPtr \u0026 scSessionPtr )\n{   \n    variant_t ..."},"2742":{y:0,u:"../Content/References/API Reference/Creating_Objects.html",l:-1,t:"Creating Objects",i:0.000174420118929079,a:"The first step in creating a new object is to retrieve the ISCModelObject instance of the parent of the new object. From the parent of the new object, retrieve its child objects in an instance of ISCModelObjectCollection. Then, add the new object to the child objects collection.  For information ..."},"2743":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Interface_4.html",l:-1,t:"ISCModelObjectCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObjectCollection interface, which is used when you create a new model object: Example 20 The following example illustrates how to create objects using C++. The example uses a Session object from Example 6: ISCSession::BeginTransaction() must be ..."},"2744":{y:0,u:"../Content/References/API Reference/Setting_Property_Values.html",l:-1,t:"Setting Property Values",i:0.000174420118929079,a:"Setting Property Values To set a property value of a model object, use the Value member of an instance of the ISCModelProperty interface."},"2745":{y:0,u:"../Content/References/API Reference/Setting_Scalar_Property_Values.html",l:-1,t:"Setting Scalar Property Values",i:0.000166114308486072,a:"The valid VARIANT types that can be used to set a scalar property value is dependent on the type of the property.  For more information, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin� Data Modeler installation folder."},"2746":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface_4.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelProperty interface: For information about valid property values, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin� Data Modeler installation folder. Example 21 The following example ..."},"2747":{y:0,u:"../Content/References/API Reference/Setting_Non-Scalar_Property_Values.html",l:-1,t:"Setting Non-Scalar Property Values",i:0.000166114308486072,a:"To set a non-scalar property value, you must identify the specific value that you want to set. This is done using the ValueId parameter. The ValueId can either be the zero-based index of the property value collection or the name of the member if the property is a structure. For r7.3, erwin DM does ..."},"2748":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface_5.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelProperty interface: For information about valid property values, see the HTML document erwin Metamodel Reference, in the Metamodel Reference Bookshelf located in the erwin� Data Modeler installation folder. Example 22 The following example ..."},"2749":{y:0,u:"../Content/References/API Reference/Deleting_Objects.html",l:-1,t:"Deleting Objects",i:0.000174420118929079,a:"Deleting Objects You can delete an object by removing the ISCModelObject interface instance of the object from the instance of ISCModelObjectCollection. You identify the object that you want to delete either by its pointer to the interface or by its object identifier."},"2750":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Interface_5.html",l:-1,t:"ISCModelObjectCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelObjectCollection interface, which is used to delete model objects: Example 23 The following example illustrates how to delete objects in C++ if there is a model objects collection and that a transaction has opened: \nCString csID;   // ID of ..."},"2751":{y:0,u:"../Content/References/API Reference/Deleting_Properties_and_Property_Values.html",l:-1,t:"Deleting Properties and Property Values",i:0.000174420118929079,a:"Properties are deleted by removing the property from the instance of the ISCModelPropertyCollection interface. If the property is non-scalar, the individual property value can be removed by using the RemoveValue method of the ISCModelProperty interface.  For more information about valid property ..."},"2752":{y:0,u:"../Content/References/API Reference/ISCModelPropertyCollection_Interface_2.html",l:-1,t:"ISCModelPropertyCollection Interface",i:0.000166114308486072,a:"ISCModelPropertyCollection Interface The following table contains information on the ISCModelPropertyCollection interface:"},"2753":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Interface_6.html",l:-1,t:"ISCModelProperty Interface",i:0.000166114308486072,a:"The following table contains information on the ISCModelProperty interface: Example 24 The following example illustrates how to delete scalar properties using C++ if there is a model object and a transaction is open: \nCString propName(\"Some Property Name\");\n// …\nCComVariant bRetVal = ..."},"2754":{y:0,u:"../Content/References/API Reference/Deleting_Non-Scalar_Property_Values.html",l:-1,t:"Deleting Non-Scalar Property Values",i:0.000166114308486072,a:"To remove all the values from a non-scalar property, remove the property itself from the ISCModelPropertyCollection using the Remove method. To remove a specific value from a non-scalar property, use the RemoveValue method of the ISCModelProperty interface. As with accessing the non-scalar property ..."},"2755":{y:0,u:"../Content/References/API Reference/Saving_the_Model.html",l:-1,t:"Saving the Model",i:0.000174420118929079,a:"Saving the Model If modifications were made to the erwin DM model, the persistence unit must be saved in order to persist the changes."},"2756":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnit_Interface_3.html",l:-1,t:"ISCPersistenceUnit Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPersistenceUnit interface: Example 26 The following example illustrates how to save a model using C++. The example uses a Persistence Unit object from Example 5: \nvoid Save( ISCPersistenceUnitPtr \u0026 scPUnitPtr )\n{  \n    ISCPropertyBagPtr propBag = ..."},"2757":{y:0,u:"../Content/References/API Reference/Accessing_Metamodel_Information.html",l:-1,t:"Accessing Metamodel Information",i:0.000209719813311857,a:"You can obtain the metamodel of erwin DM by using the API. The metamodel can be accessed in the same manner as an erwin DM model. As in the case with model data, the ISCPersistenceUnit or ISCModelSet pointer in an ISCSession::Open call indicates the model set with which you are working. There is a ..."},"2758":{y:0,u:"../Content/References/API Reference/ISCApplicationEnvironment_Interface.html",l:-1,t:"ISCApplicationEnvironment Interface",i:0.000166114308486072,a:"ISCApplicationEnvironment Interface The following table contains information on the ISCApplicationEnvironment interface:"},"2759":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_6.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: Example 27 The following example illustrates how to access an intrinsic metamodel using C++. The example uses an Application object from Example 1: \nvoid AccessMetaModel( ISCApplicationPtr \u0026 scAppPtr )\n{   \n    ISCSessionPtr ..."},"2760":{y:0,u:"../Content/References/API Reference/Closing_the_API.html",l:-1,t:"Closing the API",i:0.000174420118929079,a:"Closing the API When the client of the API has finished accessing the model, the sessions that were open must be closed, and the persistence unit collection must be cleared."},"2761":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_7.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"ISCSession Interface The following table contains information on the ISCSession interface:"},"2762":{y:0,u:"../Content/References/API Reference/ISCSessionCollection_Interface_2.html",l:-1,t:"ISCSessionCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSessionCollection interface: Example 28 The following example illustrates how to close a session using C++. It assumes that there is a Session object and the session is open. The examples use an Application object from Example 1: \nvoid ..."},"2763":{y:0,u:"../Content/References/API Reference/Clearing_Persistence_Units.html",l:-1,t:"Clearing Persistence Units",i:0.000166114308486072,a:"This section describes how to clear persistence units. The effect of leaving persistence units in the Persistence Units collection is dictated by a context in which an instance of the application is created. If a client is using the API in the standalone mode, all units are closed. If a client is ..."},"2764":{y:0,u:"../Content/References/API Reference/ISCPersistenceUnitCollection_Interface_4.html",l:-1,t:"ISCPersistenceUnitCollection Interface",i:0.000166114308486072,a:"The following table contains information on the ISCPersistenceUnitCollection interface: Example 29 The following example illustrates how to clear persistence units using C++. It assumes that there is an Application object from Example 1: \n// remove the persistence ..."},"2765":{y:0,u:"../Content/References/API Reference/Error_Handling.html",l:-1,t:"Error Handling",i:0.000174420118929079,a:"The API uses a generic COM error object to handle errors. Depending on the programming environment, languages have their own protocols to retrieve errors from the generic error object. For example, C++ and Visual Basic .NET use exception handling to handle errors. To ensure a stable application, it ..."},"2766":{y:0,u:"../Content/References/API Reference/ISCApplicationEnvironment_2.html",l:-1,t:"ISCApplicationEnvironment",i:0.000166114308486072,a:"The following table contains information on the ISCApplicationEnvironment interface: Example 32 The following example illustrates how to use the API to check messages from the API extended message log using C++. It assumes that there is an Application object from Example 1: \nCString ..."},"2767":{y:0,u:"../Content/References/API Reference/Advanced_Tasks.html",l:-1,t:"Advanced Tasks",i:0.000174420118929079,a:"Advanced Tasks The material in this section provides examples of some advanced tasks and how they can be executed."},"2768":{y:0,u:"../Content/References/API Reference/Creating_User-Defined_Properties.html",l:-1,t:"Creating User-Defined Properties",i:0.000166114308486072,a:"A User-Defined Property (UDP) is an example of a client expanding the erwin DM metadata and involves creating and modifying objects on the metadata level. The structure of the UDP definition is similar to the definition of all native properties. The following diagram shows the metamodel objects ..."},"2769":{y:0,u:"../Content/References/API Reference/History_Tracking.html",l:-1,t:"History Tracking",i:0.000166114308486072,a:"Historical information can be saved for your model, entities, attributes, tables, and columns. erwin DM uses History objects to store the information in the model. The API provides functionality that allows you to customize the process of history tracking without having to work with the History ..."},"2770":{y:0,u:"../Content/References/API Reference/ISCSession_Interface_8.html",l:-1,t:"ISCSession Interface",i:0.000166114308486072,a:"The following table contains information on the ISCSession interface: The following table describes the properties used in creating a new model: A complete set of available properties is located in the appendix  API Interfaces Reference . Example 34 The following example illustrates how to mark ..."},"2771":{y:0,u:"../Content/References/API Reference/API_Interfaces_Reference_Appendix.html",l:-1,t:"API Interfaces Reference",i:0.000880414006584636,a:"This appendix lists the interfaces contained in the API, together with the methods and arguments associated with these interfaces. There is also a section that contains information regarding enumerations and describes various Property Bag components. This section contains the following topics: ..."},"2772":{y:0,u:"../Content/References/API Reference/ISCApplication.html",l:-1,t:"ISCApplication",i:0.000315786706680466,a:"The ISCApplication interface is the entry point for the API client. Only one instance of the component can be externally instantiated to activate the API. The client navigates the interface hierarchy by using interface properties and methods to gain access to the rest of the API functionality. The ..."},"2773":{y:0,u:"../Content/References/API Reference/API_Interfaces.html",l:-1,t:"API Interfaces",i:0.000315786706680466,a:"API Interfaces This section describes each API interface, and the methods associated with them. Where applicable, signatures and valid arguments are also described. Some parameters contain an [optional] designation. This means that this particular part of the parameter is optional and not required."},"2774":{y:0,u:"../Content/References/API Reference/ISCApplicationEnvironment_3.html",l:-1,t:"ISCApplicationEnvironment",i:0.000166114308486072,a:"The ISCApplicationEnvironment interface contains the information about the runtime environment. The following table contains the methods for the ISCApplicationEnvironment interface: More information about ISCApplicationEnvironment is located in the  Property Bag for Application Environment  section."},"2775":{y:0,u:"../Content/References/API Reference/ISCApplicationEnvironment_PropertyBag_Arguments.html",l:-1,t:"ISCApplicationEnvironment::PropertyBag Arguments",i:0.000166114308486072,a:"Here is the signature for the PropertyBag function: \nISCPropertyBag *PropertyBag(VARIANT Category, VARIANT Name, VARIANT AsString)\n The following table contains the valid arguments for the PropertyBag function: More information about category and property names relating to VT_BSTR is located in the  ..."},"2776":{y:0,u:"../Content/References/API Reference/ISCModelDirectory.html",l:-1,t:"ISCModelDirectory",i:0.000166114308486072,a:"ISCModelDirectory The Model Directory encapsulates information on a single model directory entry. Examples of the Model Directory are a file system directory or a mart library. The following table contains the methods for the ISCModelDirectory interface:"},"2777":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_DirectoryExists_Arguments.html",l:-1,t:"ISCModelDirectory::DirectoryExists Arguments",i:0.000166114308486072,a:"ISCModelDirectory::DirectoryExists Arguments Here is the signature for the DirectoryExists function: \nVARIANT_BOOL DirectoryExists( BSTR Locator)\n The following table contains the valid arguments for the DirectoryExists function:"},"2778":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_DirectoryUnitExists_Arguments.html",l:-1,t:"ISCModelDirectory::DirectoryUnitExists Arguments",i:0.000166114308486072,a:"ISCModelDirectory::DirectoryUnitExists Arguments Here is the signature for the DirectoryUnitExists function: \nVARIANT_BOOL DirectoryUnitExists( BSTR Locator)\n The following table contains the valid arguments for the DirectoryUnitExists function:"},"2779":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_IsOfType_Arguments.html",l:-1,t:"ISCModelDirectory::IsOfType Arguments",i:0.000166114308486072,a:"ISCModelDirectory::IsOfType Arguments Here is the signature for the IsOfType function: \nVARIANT_BOOL IsOfType(ISCModelDirectory * Directory)\n The following table contains the valid arguments for the IsOfType function:"},"2780":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_LocateDirectory_Arguments.html",l:-1,t:"ISCModelDirectory::LocateDirectory Arguments",i:0.000166114308486072,a:"ISCModelDirectory::LocateDirectory Arguments Here is the signature for the LocateDirectory function: \nISCModelDirectory * LocateDirectory (BSTR Locator, VARIANT Filter)\n The following table contains the valid arguments for the LocateDirectory function:"},"2781":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_LocateDirectoryUnit_Arguments.html",l:-1,t:"ISCModelDirectory::LocateDirectoryUnit Arguments",i:0.000166114308486072,a:"ISCModelDirectory::LocateDirectoryUnit Arguments Here is the signature for the LocateDirectoryUnit function: \nISCModelDirectoryUnit * LocateDirectoryUnit (BSTR Locator, VARIANT Filter)\n The following table contains the valid arguments for the LocateDirectoryUnit function:"},"2782":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_PropertyBag_Arguments_Get_Fn.html",l:-1,t:"ISCModelDirectory::PropertyBag Arguments (Get Function)",i:0.000166114308486072,a:"Here is the signature for the PropertyBag (Get) function: \nISCPropertyBag * PropertyBag(VARIANT List, VARIANT AsString)\n The following table contains the valid arguments for the PropertyBag (Get) function: Information about valid property names for VT_BSTR is located in the  Property Bag for Model ..."},"2783":{y:0,u:"../Content/References/API Reference/ISCModelDirectory_PropertyBag_Arguments_Set_Fn.html",l:-1,t:"ISCModelDirectory::PropertyBag Arguments (Set Function)",i:0.000166114308486072,a:"Here is the signature for the PropertyBag (Set) function: \nvoid PropertyBag(VARIANT List, VARIANT AsString, ISCPropertyBag * propBag)\n The following table contains the valid arguments for the PropertyBag (Set) function: Information about valid property names and format for ISCPropertyBag * is ..."},"2784":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryCollection.html",l:-1,t:"ISCModelDirectoryCollection",i:0.000166114308486072,a:"ISCModelDirectoryCollection The Model Directory Collection lists all top-level Model Directories available including the one made available with the application user interface. A client can register new Model Directories with this collection."},"2785":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryCollection_Add_Arguments.html",l:-1,t:"ISCModelDirectoryCollection::Add Arguments",i:0.000166114308486072,a:"ISCModelDirectoryCollection::Add Arguments Here is the signature for the Add function: \nISCModelDirectory * Add(BSTR Locator, VARIANT Disposition)\n The following table contains the valid arguments for the Add function:"},"2786":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryCollection_Item_Arguments.html",l:-1,t:"ISCModelDirectoryCollection::Item Arguments",i:0.000166114308486072,a:"ISCModelDirectoryCollection::Item Arguments Here is the signature for the Item function: \nISCModelDirectory * Item(long nIndex)\n The following table contains the valid arguments for the Item function:"},"2787":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryCollection_Remove_Arguments.html",l:-1,t:"ISCModelDirectoryCollection::Remove Arguments",i:0.000166114308486072,a:"ISCModelDirectoryCollection::Remove Arguments Here is the signature for the Remove function: \nVARIANT_BOOL Remove(VARIANT Selector, VARIANT_BOOL Disconnect [optional])\n The following table contains the valid arguments for the Remove function:"},"2788":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryUnit.html",l:-1,t:"ISCModelDirectoryUnit",i:0.000166114308486072,a:"The Model Directory Unit encapsulates information on a single directory unit. A file system file and a model in a mart are examples of the Model Directory Unit. The following table contains the methods for the ISCModelDirectoryUnit interface: More information about Model Directory flags is located ..."},"2789":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryUnit_IsOfType_Arguments.html",l:-1,t:"ISCModelDirectoryUnit::IsOfType Arguments",i:0.000166114308486072,a:"ISCModelDirectoryUnit::IsOfType Arguments Here is the signature for the IsOfType function: \nVARIANT_BOOL IsOfType(ISCModelDirectory * Directory)\n The following table contains the valid arguments for the IsOfType function:"},"2790":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryUnit_PropertyBag_Arguments_Get_Fn.html",l:-1,t:"ISCModelDirectoryUnit::PropertyBag Arguments (Get Function)",i:0.000166114308486072,a:"Here is the signature for the PropertyBag (Get) function: \nISCPropertyBag * PropertyBag(VARIANT List, VARIANT AsString)\n The following table contains the valid arguments for the PropertyBag (Get) function: Information about valid property names for VT_BSTR is located in the  Property Bag for Model ..."},"2791":{y:0,u:"../Content/References/API Reference/ISCModelDirectoryUnit_PropertyBag_Arguments_Set_Fn.html",l:-1,t:"ISCModelDirectoryUnit::PropertyBag Arguments (Set Function)",i:0.000166114308486072,a:"Here is the signature for the PropertyBag (Set) function: \nvoid PropertyBag(VARIANT List, VARIANT AsString, ISCPropertyBag * propBag)\n The following table contains the valid arguments for the PropertyBag (Set) function: Information about valid property names and format for ISCPropertyBag * is ..."},"2792":{y:0,u:"../Content/References/API Reference/ISCModelObject.html",l:-1,t:"ISCModelObject",i:0.000166114308486072,a:"ISCModelObject The ISCModelObject interface represents an object in a model. The following table contains the methods for the ISCModelObject interface: More information about SC_ModelObjectFlags is located in the  Enumerations  section."},"2793":{y:0,u:"../Content/References/API Reference/ISCModelObject_CollectProperties_Arguments.html",l:-1,t:"ISCModelObject::CollectProperties Arguments",i:0.000166114308486072,a:"Here is the signature for the CollectProperties function: \nISCModelPropertyCollection * CollectProperties(VARIANT ClassIds, VARIANT MustBeOn, VARIANT MustBeOff)\n The following table contains the valid arguments for the CollectProperties function: For information about valid property class ..."},"2794":{y:0,u:"../Content/References/API Reference/ISCModelObject_IsInstanceOf_Arguments.html",l:-1,t:"ISCModelObject::IsInstanceOf Arguments",i:0.000166114308486072,a:"Here is the signature for the IsInstanceOf function: \nVARIANT_BOOL IsInstanceOf(VARIANT ClassId)\n The following table contains the valid arguments for the IsInstanceOf function: For information about valid object class names and identifiers, see the HTML document erwin Metamodel Reference, in the ..."},"2795":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection.html",l:-1,t:"ISCModelObjectCollection",i:0.000166114308486072,a:"The ISCModelObjectCollection interface is a collection of objects in the model that is connected to the active session. Membership in this collection can be limited by establishing filter criteria. The following table contains the methods for the ISCModelObjectCollection interface: For information ..."},"2796":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Add_Arguments.html",l:-1,t:"ISCModelObjectCollection::Add Arguments",i:0.000166114308486072,a:"Here is the signature for the Add function: \nISCModelObject * Add(VARIANT Class,  VARIANT ObjectId)\n The following table contains the valid arguments for the Add function: For information about valid object class names and identifiers, see the HTML document erwin Metamodel Reference, in the ..."},"2797":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Collect_Arguments.html",l:-1,t:"ISCModelObjectCollection::Collect Arguments",i:0.000166114308486072,a:"Here is the signature for the Collect function: \nISCModelObjectCollection * Collect(VARIANT Root, VARIANT ClassId, VARIANT Depth, VARIANT MustBeOn, VARIANT MustBeOff)\n The following table contains the valid arguments for the Collect function: For information about valid object class names and ..."},"2798":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Item_Arguments.html",l:-1,t:"ISCModelObjectCollection::Item Arguments",i:0.000166114308486072,a:"Here is the signature for the Item function: \nISCModelObject * Item(VARIANT nIndex,  VARIANT Class)\n The following table contains the valid arguments for the Item function: For information about valid object class names and identifiers, see the HTML document erwin Metamodel Reference, in the ..."},"2799":{y:0,u:"../Content/References/API Reference/ISCModelObjectCollection_Remove_Arguments.html",l:-1,t:"ISCModelObjectCollection::Remove Arguments",i:0.000166114308486072,a:"ISCModelObjectCollection::Remove Arguments Here is the signature for the Remove function: \nVARIANT_BOOL Remove(VARIANT Object)\n The following table contains the valid arguments for the Remove function:"},"2800":{y:0,u:"../Content/References/API Reference/ISCModelProperty.html",l:-1,t:"ISCModelProperty",i:0.000166114308486072,a:"The ISCModelProperty interface represents a property of a given object. The following table contains the methods for the ISCModelProperty interface: For information about valid property class identifiers and valid property class names, see the HTML document erwin Metamodel Reference, in the ..."},"2801":{y:0,u:"../Content/References/API Reference/ISCModelProperty_DataType_Arguments.html",l:-1,t:"ISCModelProperty::DataType Arguments",i:0.000166114308486072,a:"ISCModelProperty::DataType Arguments Here is the signature for the DataType function: \nSC_ValueTypes DataType(VARIANT ValueId)\n The following table contains the valid arguments for the DataType function:"},"2802":{y:0,u:"../Content/References/API Reference/ISCModelProperty_RemoveValue_Arguments.html",l:-1,t:"ISCModelProperty::RemoveValue Arguments",i:0.000166114308486072,a:"ISCModelProperty::RemoveValue Arguments Here is the signature for the RemoveValue function: \nVARIANT_BOOL RemoveValue(VARIANT ValueId)\n The following table contains the valid arguments for the RemoveValue function:"},"2803":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Value_Arguments_Get_Fn.html",l:-1,t:"ISCModelProperty::Value Arguments (Get Function)",i:0.000166114308486072,a:"ISCModelProperty::Value Arguments (Get Function) Here is the signature for the Value (Get) function: \nVARIANT Value(VARIANT ValueId, VARIANT ValueType)\n The following table contains the valid arguments for the Value (Get) function:"},"2804":{y:0,u:"../Content/References/API Reference/ISCModelProperty_Value_Arguments_Set_Fn.html",l:-1,t:"ISCModelProperty::Value Arguments (Set Function)",i:0.000166114308486072,a:"ISCModelProperty::Value Arguments (Set Function) Here is the signature for the Value (Set) function: \nvoid Value(VARIANT ValueId, VARIANT ValueType, VARIANT Val)\n The following table contains the valid arguments for the Value (Set) function:"},"2805":{y:0,u:"../Content/References/API Reference/ISCModelProperty_GetValueFacetIds_Arguments.html",l:-1,t:"ISCModelProperty::GetValueFacetIds Arguments",i:0.000166114308486072,a:"Here is the signature for the GetValueFacetIds function: \nVARIANT_BOOL GetValueFacetIds(Long* FacetsTrueBasket, Long* FacetsFalseBasket)\n The following table contains the valid arguments for the GetValueFacetIds function: More information about FacetsTrueBasket and FacetsFalse Basket is located in ..."},});