define({"2948":{y:0,u:"../Content/References/Data Modeling Overview/Subtype Relationships.html",l:-1,t:"Subtype Relationships",i:0.000166114308486072,a:"A subtype relationship, also referred to as a generalization category, generalization hierarchy, or inheritance hierarchy, is a way to group a set of entities that share common characteristics. For example, you might find during a modeling effort that several different types of ACCOUNTs exist in a ..."},"2949":{y:0,u:"../Content/References/Data Modeling Overview/Complete Compared to Incomplete Subtype Structures.html",l:-1,t:"Complete Compared to Incomplete Subtype Structures",i:0.000166114308486072,a:"In IDEF1X, different symbols are used to specify whether or not the set of subtype entities in a subtype relationship is fully defined. An incomplete subtype indicates that the modeler feels there may be other subtype entities that have not yet been discovered. An incomplete subtype is indicated by ..."},"2950":{y:0,u:"../Content/References/Data Modeling Overview/Inclusive and Exclusive Relationships.html",l:-1,t:"Benefits of Data Modeling",i:0.000166114308486072,a:"Regardless of the DBMS you use or the types of data models you want to develop, modeling your database in erwin® Data Modeler has many benefits: Enables usage by database and application development staff to define system requirements and to communicate among themselves and with end users.\n Provides ..."},"2951":{y:0,u:"../Content/References/Data Modeling Overview/IDEF1X and IE Subtype Notation.html",l:-1,t:"IDEF1X and IE Subtype Notation",i:0.000166114308486072,a:"IDEF1X and IE Subtype Notation The following illustrates subtype notation in IDEF1X and IE:"},"2952":{y:0,u:"../Content/References/Data Modeling Overview/When to Create a Subtype Relationship.html",l:-1,t:"When to Create a Subtype Relationship",i:0.000166114308486072,a:"You should create a subtype relationship when: Entities share a common set of attributes. This was the case in our previous examples.\n Entities share a common set of relationships. This has not been explored but, referring back to the account structure, you can, as needed, collect any common ..."},"2953":{y:0,u:"../Content/References/Data Modeling Overview/Normalization Problems and Solutions.html",l:-1,t:"Normalization Problems and Solutions",i:0.000166114308486072,a:"Normalization Problems and Solutions This section contains the following topics Normalization Overview of the Normal Forms Common Design Problems Unification How Much Normalization Is Enough Support for Normalization"},"2954":{y:0,u:"../Content/References/Data Modeling Overview/Normalization.html",l:-1,t:"Normalization",i:0.000189647438074591,a:"Normalization, in relational database design, is the process by which data in a relational construct is organized to minimize redundancy and non-relational constructs. Following the rules for normalization, you can control and eliminate data redundancy by removing all model structures that provide ..."},"2955":{y:0,u:"../Content/References/Data Modeling Overview/Overview of the Normal Forms.html",l:-1,t:"Overview of the Normal Forms",i:0.000189647438074591,a:"The following are the formal definitions for the most common normal forms. Functional Dependence (FD) Given an entity E, attribute B of E is functionally dependent on attribute A of E if and only if each value of A in E has associated with it precisely one value of B in E (at any one time). In other ..."},"2956":{y:0,u:"../Content/References/Data Modeling Overview/Common Design Problems.html",l:-1,t:"Common Design Problems",i:0.000189647438074591,a:"Many common design problems are a result of violating one of the normal forms. Common problems include: Repeating data groups\n Multiple use of the same attribute\n Multiple occurrences of the same fact\n Conflicting facts\n Derived attributes\n Missing information\n When you work on eliminating design ..."},"2957":{y:0,u:"../Content/References/Data Modeling Overview/Repeating Data Groups.html",l:-1,t:"Repeating Data Groups",i:0.000166114308486072,a:"Repeating data groups can be defined as lists, repeating elements, or internal structures inside an attribute. This structure, although common in legacy data structures, violates first normal form and must be eliminated in an RDBMS model. An RDBMS cannot handle variable-length repeating fields ..."},"2958":{y:0,u:"../Content/References/Data Modeling Overview/Multiple Use of the Same Attribute.html",l:-1,t:"Multiple Use of the Same Attribute",i:0.000166114308486072,a:"It is also a problem when a single attribute can represent one of two facts, and there is no way to understand which fact it represents. For example, the EMPLOYEE entity contains the attribute “start‑or‑termination‑date” where you can record this information for an employee as follows:  The ..."},"2959":{y:0,u:"../Content/References/Data Modeling Overview/Multiple Occurrences of the Same Fact.html",l:-1,t:"Multiple Occurrences of the Same Fact",i:0.000166114308486072,a:"One of the goals of a relational database is to maximize data integrity. To do so, it is important to represent each fact in the database once and only once, otherwise errors can begin to enter into the data. The only exception to this rule (one fact in one place) is in the case of key attributes, ..."},"2960":{y:0,u:"../Content/References/Data Modeling Overview/Conflicting Facts.html",l:-1,t:"Conflicting Facts",i:0.000166114308486072,a:"Conflicting facts can occur for a variety of reasons, including violation of first, second, or third normal forms. An example of conflicting facts occurring through a violation of second normal form is shown in the following figure: The following two tables are sample instance tables showing ..."},"2961":{y:0,u:"../Content/References/Data Modeling Overview/Derived Attributes.html",l:-1,t:"Derived Attributes",i:0.000166114308486072,a:"Another example of conflicting facts occurs when third normal form is violated. For example, if you included both a �birth-date� and an �age� attribute as non-key attributes in the CHILD entity, you violate third normal form. This is because �age� is functionally dependent on �birth-date.� By ..."},"2962":{y:0,u:"../Content/References/Data Modeling Overview/Missing Information.html",l:-1,t:"Missing Information",i:0.000166114308486072,a:"Missing information in a model can sometimes result from efforts to normalize the data. In the example, adding the SPOUSE entity to the EMPLOYEE-CHILD model improves the design, but destroys the implicit relationship between the CHILD entity and the SPOUSE address. It is possible that the reason ..."},"2963":{y:0,u:"../Content/References/Data Modeling Overview/Unification.html",l:-1,t:"Unification",i:0.000189647438074591,a:"In the following example, the �employee-id� attribute migrates to the CHILD entity through two relationships: one with EMPLOYEE and the other with SPOUSE. You might expect that the foreign key attribute would appear twice in the CHILD entity as a result. Since the attribute �employee-id� was already ..."},"2964":{y:0,u:"../Content/References/Data Modeling Overview/How Much Normalization Is Enough.html",l:-1,t:"How Much Normalization Is Enough",i:0.000189647438074591,a:"From a formal normalization perspective (what an algorithm would find solely from the shape of the model, without understanding the meanings of the entities and attributes) there is nothing wrong with the EMPLOYEE-CHILD-SPOUSE model. However, just because it is normalized does not mean that the ..."},"2965":{y:0,u:"../Content/References/Data Modeling Overview/Support for Normalization.html",l:-1,t:"Support for Normalization",i:0.000189647438074591,a:"Support for normalization of data models is supported, but does not currently contain a full normalization algorithm. If you have not used a real time modeling tool before, you will find the standard modeling features quite helpful. They will prevent you from making many normalization errors."},"2966":{y:0,u:"../Content/References/Data Modeling Overview/First Normal Form Support.html",l:-1,t:"First Normal Form Support",i:0.000166114308486072,a:"In a model, each entity or attribute is identified by its name. Any name for an object is accepted, with the following exceptions: A second use of an entity name (depending on your preference for unique names) is flagged.\n A second use of an attribute name is flagged, unless that name is a rolename. ..."},"2967":{y:0,u:"../Content/References/Data Modeling Overview/Second and Third Normal Form Support.html",l:-1,t:"Second and Third Normal Form Support",i:0.000166114308486072,a:"erwin� Data Modeler does not currently manage functional dependencies, but it can help to prevent second and third normal form errors. For example, if you reconstruct the examples below, you will find that once �spouse-address� is defined as an attribute of SPOUSE, you cannot also define it as an ..."},"2968":{y:0,u:"../Content/References/Data Modeling Overview/3802_1.html",l:-1,t:"Physical Models",i:0.000166114308486072,a:"Two levels of physical models exist for an implementation project: Transformation model\n DBMS model\n The physical models capture all of the information that data architects and database administrators require to implement a logical model as a database system. The Transformation model is also a ..."},"2969":{y:0,u:"../Content/References/Data Modeling Overview/Objective.html",l:-1,t:"Objective",i:0.000213180567663109,a:"The objective of a physical model is to provide a database administrator with sufficient information to create an efficient physical database. The physical model also provides a context for the definition and recording (in the data dictionary) of the data elements that form the database, and assists ..."},"2970":{y:0,u:"../Content/References/Data Modeling Overview/Support for the Roles of the Physical Model.html",l:-1,t:"Support for the Roles of the Physical Model",i:0.000213180567663109,a:"Support is provided for both roles of a physical model:  Generating the physical database\n Documenting physical design against the business requirements\n For example, in a logical/physical model, you can create a physical model from an ERD, key-based, or fully attributed model simply by changing the ..."},"2971":{y:0,u:"../Content/References/Data Modeling Overview/Summary of Logical and Physical Model Components.html",l:-1,t:"Summary of Logical and Physical Model Components",i:0.000166114308486072,a:"The following table summarizes the relationship between objects in a logical and a physical model: Referential integrity is a part of the logical model, since the decision about how to maintain a relationship is a business decision. Referential integrity is also a physical model component, since ..."},"2972":{y:0,u:"../Content/References/Data Modeling Overview/Denormalization.html",l:-1,t:"Denormalization",i:0.000213180567663109,a:"You can also denormalize the structure of the logical model, or allow data redundancy in a table to improve query performance so that you can build a related physical model that is designed effectively for the target RDBMS. Features supporting denormalization include: Logical only properties for ..."},"2973":{y:0,u:"../Content/References/Data Modeling Overview/Classification of Dependent Entities.html",l:-1,t:"Classification of Dependent Entities",i:0.000166114308486072,a:"Classification of Dependent Entities The following table lists the types of dependent entities that may appear in an IDEF1X diagram:"},"2974":{y:0,u:"../Content/References/Data Modeling Overview/3670.html",l:-1,t:"Glossary",i:0.0020480802043868,a:"This section contains the following topics: alternate key attribute basename binary relationship BLOB cardinality complete subtype cluster dependent entity denormalization discriminator domain entity foreign key identifying relationship incomplete subtype cluster independent entity inversion entry ..."},"2975":{y:0,u:"../Content/References/Metamodel Overview/Metamodel Overview Guide.html",l:-1,t:"Metamodel Overview Guide",i:0.000166114308486072,a:"Metamodel Overview This guide walks you through the diagrams that illustrate some of the key portions of the metamodel."},"2976":{y:0,u:"../Content/References/Metamodel Overview/Diagrams.html",l:-1,t:"Diagrams",i:0.000166114308486072,a:"This section includes diagrams that illustrate some of the key portions of the metamodel. These diagrams are provided as a visual counterpart to the textual descriptions of the metadata. The diagrams are presented in pairs, one using UML notation and the other using IDEF1X notation. The UML notation ..."},"2977":{y:0,u:"../Content/References/Metamodel Overview/Entity_and_View_Diagram.html",l:-1,t:"Entity and View Diagram",i:0.000194354063992295,a:"This diagram shows the object type structure for Entities, Views, and Cached Views. This diagram makes the following assertions: Entity is a type of Abstract_Entity Abstract_View is a type of Abstract_Entity Cached_View is a type of Abstract_Entity View is a type of Abstract_Entity Entity and View ..."},"2978":{y:0,u:"../Content/References/Metamodel Overview/Model_and_Subject_Area_Diagram.html",l:-1,t:"Model and Subject Area Diagram",i:0.000194354063992295,a:"This diagram shows the storage of Subject Area membership information and makes the following assertions: Abstract_ERwin_Object is a type of Abstract_Object The object types Abstract_Model_Node, Model, Subject_Area, and Relationship are all types of Abstract_Objects The object types Subtype_Symbol ..."},"2979":{y:0,u:"../Content/References/Metamodel Overview/Entity_Attribute_and_Key_Group_Diagram.html",l:-1,t:"Entity, Attribute, and Key_Group Diagram",i:0.000194354063992295,a:"This diagram shows the structure of Entities and Attributes and their associated Key_Groups and Key_Group_Members. This diagram makes the following assertions: Attributes are owned by Entities Key_Groups are owned by Entities Key_Group_Members are owned by Key_Groups Key_Group_Members are linked to ..."},"2980":{y:0,u:"../Content/References/Metamodel Overview/Entity_Attribute_Key_Group_and_Relationship_Diagram.html",l:-1,t:"Entity, Attribute, Key_Group, and Relationship Diagram",i:0.000194354063992295,a:"This diagram extends the prior diagram by adding Relationships. The following assertions are added: Key_Groups reference their associated Relationships using the Key_Group_Ref property\n Relationships reference their associated Key_Group using the Key_Group_Ref property\n Relationships reference their ..."},"2981":{y:0,u:"../Content/References/Metamodel Overview/Attribute_Domain_Default_and_Validation_Rule_Diagram.html",l:-1,t:"Attribute, Domain, Default, and Validation Rule Diagram",i:0.000194354063992295,a:"This diagram shows the links between Attributes, Domains, Defaults, and Validation_Rules. This diagram makes the following assertions: Attributes reference their parent Attribute using the Parent_Attribute_Ref property\n Attributes reference their parent Domain using the Parent_Domain_Ref property\n ..."},"2982":{y:0,u:"../Content/References/Template Language and Macro Reference/Template Language and Macro Reference Guide.html",l:-1,t:"Template Language and Macro Reference Guide",i:0.000166114308486072,a:"Template Language and Macro Reference This guide walks you through the basics of Template Language (TLX) and macros that can be used within erwin Data Modeler."},"2983":{y:0,u:"../Content/References/Template Language and Macro Reference/Template Language and Macro Reference.html",l:-1,t:"Template Language and Macro Reference",i:0.00110709725643644,a:"This section contains the following topics Introduction Metadata Names Introduction Template Language (TLX) is the template or macro language publicly exposed with erwin Data Modeler. It has been present in the product since erwin Data Modeler r7.0.  TLX is employed in a number of places in the ..."},"2984":{y:0,u:"../Content/References/Template Language and Macro Reference/TLX Syntax.html",l:-1,t:"TLX Syntax",i:0.00110709725643644,a:"The following sections provide a brief review of the TLX syntax. This section contains the following topics Literals Macros Keywords Conditional Blocks Propagating Blocks Comments Literals Literal text is enclosed in double quotation marks. This includes literals intended for the final expanded ..."},"2985":{y:0,u:"../Content/References/Template Language and Macro Reference/TLX Expansion.html",l:-1,t:"TLX Expansion",i:0.00110709725643644,a:"This section contains the following topics Phantom Objects When macros are evaluating, they are generally operating on objects in the model. For example, the Property macro reads the value from a property on the \"current\" object. This current object is referred to as the context object. Objects ..."},"2986":{y:0,u:"../Content/References/Template Language and Macro Reference/Macro Overview.html",l:-1,t:"Macro Overview",i:0.00110709725643644,a:"Each macro entry will contain the following sections describing the behavior of the macro and its usage. This section contains the following topics Name Definition Prototype Specification Result Specification Breaking Changes Specification Categories Sample Name Macro names are always ..."},"2987":{y:0,u:"../Content/References/Template Language and Macro Reference/Standard Macros.html",l:-1,t:"Standard Macros",i:0.00110709725643644,a:"This set comprises the bulk of the new macros in erwin Data Modeler. They are usable in all, or almost all, processes in the product. This section contains the following topics Access_DatabaseName Access_Datatype AllowAlterDatatype AreAllOwneesCreated AreAllOwneesDeleted AreStringsEqual Choose ..."},"2988":{y:0,u:"../Content/References/Template Language and Macro Reference/Forward Engineering Macros.html",l:-1,t:"Forward Engineering Macros",i:0.00110709725643644,a:"These macros are usable only in the context of the script generation in Forward Engineering and Alter Script. This section contains the following topics ActivateDataPreservation DataPreservationOption EndOfStatement IsAlterScriptGeneration IsEntityInSubjectArea IsLastColumn IsModified ..."},"2989":{y:0,u:"../Content/Videos.htm",l:-1,t:"Videos",i:0.000194354063992295,a:"Videos Watch and learn all about erwin Data Modeler! What\u0027s New in erwin Data Modeler 12.0 Toad DM to erwin DM Bridge"},"2990":{y:0,u:"../Content/Tutorials/Scenarios/Scenarios.html",l:-1,t:"Install and Configure SQL Server Mart",i:0.000166114308486072,a:"Scenarios Scenarios are step-by-step tutorials of the use cases you would practise to use erwin Data Modeler and erwin Mart Server. This section takes you through the following tutorials: Adding a User Applying a Theme to a Model Applying Data Standards Applying Naming Standards Changing the ..."},"2991":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/scn_adding_a_user.html",l:-1,t:"Adding a User",i:0.000166114308486072,a:"As a System Administrator, after installing Mart, you add users, create libraries, and give permissions to users on the required libraries. You know which user should be of what type. You have the details of the profiles you want to create, and you know which profile to assign to which user. This ..."},"2992":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/add_a_user.html",l:-1,t:"Add a User",i:0.000194354063992295,a:" As a Mart Administrator, you can add users so that they can access Mart. You delete users if they are not required to access the Mart. You know the type of user you want to add--a user that is authenticated by Mart, a user that is authenticated by the Windows network, or a Windows user group. ..."},"2993":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/mart_users.html",l:-1,t:"Mart Users",i:0.000166114308486072,a:"From r9 onwards, you can add individual users and Active Directory user groups to Mart. Individual users are categorized as Server users and Windows users, which are based on the way they are authenticated. There are no database level users in the current Mart.  The descriptions of user types are as ..."},"2994":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/group_user_best_practices.html",l:-1,t:"Best Practices to Add a Group User",i:0.000166114308486072,a:"The following are the best practices to add a Group User: Suppose that you have a parent group that includes subgroups. To give access to all the subgroups under a parent group, add the parent group as a Group User.\n Suppose that you want to give generic permissions to all users of a parent group ..."},"2995":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/verify_if_existing_profile_suits.html",l:-1,t:"Verify if an Existing Profile Suits the User",i:0.000194354063992295,a:"Verify if an Existing Profile Suits the User erwin DM Version 9 Mart has four built-in profiles: Admin\n Architect\n Modeler\n Viewer\n Verify if any of these profiles suit the user you have created. If they do not, create the required profile. Back to Top More information:  How Profiles Work"},"2996":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/how_profiles_work.html",l:-1,t:"How Profiles Work",i:0.000331317213060194,a:"The way profiles work depends on the following factors: The type of user that is assigned to the profile.\n The objects that are included in the profile.\n The permissions that are assigned to the objects.\n This section describes the permissions available for various types of users. The section also ..."},"2997":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/Create a Profile.html",l:-1,t:"Create a Profile",i:0.000166114308486072,a:"Profiles determine who can change the data or models in Mart. As a System Administrator, you can create profiles and can attach them to users for a catalog. When a user creates, modifies, or deletes an object in Mart, the profile determines if the operation is permitted. Each profile grants ..."},"2998":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/verify_if_req_catalog_library_exists.html",l:-1,t:"Verify if the Required Catalog or Library Exists",i:0.000194354063992295,a:"Verify if the Required Library Exists When you migrate your models to erwin DM Version 9 Mart, you can choose to create libraries and copy models to them. Verify if you can assign these libraries to the user you want to create. If not, create the required libraries. Back to Top"},"2999":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/create_a_library.html",l:-1,t:"Create a Library",i:0.000194354063992295,a:"A library is a collection of related models and a catalog is a group of libraries. Use libraries to add an extra level of security or isolate implementation differences, such as development and production environments. Follow these steps: Select Mart or an existing library and click New.\n A new ..."},"3000":{y:0,u:"../Content/Tutorials/Scenarios/Adding a User to Mart/assign_permissions_to_a_user.html",l:-1,t:"Assign Permissions to a User",i:0.000194354063992295,a:"As a System Administrator, you assign different levels of permissions to different profile users. Control the level of permission and assign a user or a group to a profile so that they have specific access. A user can be assigned to multiple profiles. For example, a user can have full permissions on ..."},"3001":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Introduction- Applying a Theme to a Model.html",l:-1,t:"Applying a Theme to a Model",i:0.00017552756032148,a:"Applying a Theme to a Model This tutorial describes how Business Analysts can apply themes to a model, object, or a group of objects."},"3002":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/The_Theme_Editor.html",l:-1,t:"The Theme Editor",i:0.000166114308486072,a:"A theme is a collection of font and color settings and is applied to a model, an object, a group of objects, or a subject area. Themes help you achieve the following objectives: Maintain the organizational design standard\n Denote the development lifecycle of a model\n Customize the designs in a model ..."},"3003":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Do_you_want_to_use_an_existing_theme.html",l:-1,t:"Do you want to use an existing theme",i:0.000186285562419088,a:"If you have a standard theme in your organization, you can use that theme in all your models by binding it to a model template. Using a standard theme ensures consistency across all your models. If you do not have any predefined themes, you can create a theme and can apply it to your models. Back to ..."},"3004":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Create_and_Apply_a_Theme.html",l:-1,t:"Create and Apply a Theme",i:0.000186285562419088,a:"Create and Apply a Theme If you do not have a standard theme in your organization, you can create one and can apply it for all your models. You can also create multiple themes and apply them to different objects in your model."},"3005":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Create a Theme.html",l:-1,t:"Create a Theme",i:0.000186285562419088,a:"After you open the Employee data model, identify the company departments and create a theme for each object or model.  When you create a theme, you can select and apply the theme to any object or model in the Theme Editor. For example, suppose that your Employee data model has separate objects for ..."},"3006":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Apply a Theme to a Model.html",l:-1,t:"Apply a Theme to a Model",i:0.000186285562419088,a:"Apply the theme to the Employee data model and maintain the organizational design standard. When you apply a theme to a model, all new objects inherit the customized values that you have defined in the theme. Follow these steps: Click Model, Model Properties.\n The Model Editor opens. Click the ..."},"3007":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/(Optional) Apply a Theme to Individual Objects in a Model.html",l:-1,t:"(Optional) Apply a Theme to Individual Objects in a Model",i:0.000186285562419088,a:"You can apply a theme to individual objects instead of the entire model. In your Employee data model, you can apply a different theme to each department (object) to organize the model. For example, you can apply one theme to the Human Resources object and another theme to the Marketing Division ..."},"3008":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Apply_a_Theme_by_Binding_a_Model_Template.html",l:-1,t:"Apply a Theme by Binding a Model Template",i:0.000186285562419088,a:"Apply a Theme by Binding a Model Template If you have a standard theme in your company, you can bind a model template having the standard theme to any new data model. When you bind the model template, the current model inherits the theme from the model template."},"3009":{y:0,u:"../Content/Tutorials/Scenarios/Applying a Theme to a Model/Bind_a_Model_Template.html",l:-1,t:"Bind a Model Template",i:0.000186285562419088,a:"Binding a model template to a data model copies the non-built-in objects from the template model to the target model. When you bind a template to a model, the predefined objects populate your model. This process eliminates the need to create objects manually or to use reverse engineering. Changes to ..."},"3010":{y:0,u:"../Content/Tutorials/Scenarios/Applying Data Type Standards/Applying Data Type Standards.html",l:-1,t:"Applying Data Type Standards",i:0.00017552756032148,a:"This tutorial describes how Data Architects define and apply data type standards to data models. A data type is a predefined set of characteristics for an attribute or column that specifies field length, acceptable characters, and optional and required parameters. For example, the data type Char(18) ..."},"3011":{y:0,u:"../Content/Tutorials/Scenarios/Applying Data Type Standards/Decide_the_Method_to_Apply_Standards.html",l:-1,t:"Decide a Method to Apply Standards",i:0.000187428616087803,a:"You can apply data type standards in three ways: Create a standard Create a data type standard and apply it to your model if you are applying standards for the first time. After you create a DSM object and define your standards, you can use the standard in all your data models. Import from a ..."},"3012":{y:0,u:"../Content/Tutorials/Scenarios/Applying Data Type Standards/Create and Apply Data Type Standards.html",l:-1,t:"Create and Apply Data Type Standards",i:0.000166114308486072,a:"Create and Apply Data Type Standards Create data type standards if you are implementing standards for the first time."},"3013":{y:0,u:"../Content/Tutorials/Scenarios/Applying Data Type Standards/Define_Data_Type_Standards_from_Model_Explorer.html",l:-1,t:"Define Data Type Standards from Model Explorer",i:0.000187428616087803,a:"Define data type standards to maintain uniform data type standards across all data models. Follow these steps: Expand Model Explorer, right-click DSM Options, and click New.\n A data type standards object is added. Right-click the newly created object and click Properties.\n The DSM Option Editor ..."},"3014":{y:0,u:"../Content/Tutorials/Scenarios/Applying Data Type Standards/Create_a_Mapping.html",l:-1,t:"(Optional) Create a Mapping",i:0.000187428616087803,a:"Map data types between different databases to maintain uniform data types in all the data models. Mapping lets you eliminate the differences in the data types when you import a model from one database to another. Also, mapping enables you to use new data types in physical models. You can create ..."},});